/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.flink.streaming.examples.twitter.util;

public class TwitterStreamData {
	public static final String[] TEXTS = new String[] {
			"{\"delete\":{\"status\":{\"id\":448896216110080001,\"id_str\":\"448896216110080001\",\"user_id\":1586900228,\"user_id_str\":\"1586900228\"},\"timestamp_ms\":\"1412178007914\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:07 +0000 2014\",\"id\":517338176713523201,\"id_str\":\"517338176713523201\",\"text\":\"RT @IniAnwarHadi: If you're naive enough to think that we would be better off if the opposition won the last elections, then good for you.\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for  Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1402119228,\"id_str\":\"1402119228\",\"name\":\"\\u6cd5 \\u8482 \\u54c8\",\"screen_name\":\"sesepiSepi\",\"location\":\"Malaysia || Edinburgh\",\"url\":null,\"description\":\"To whom are you enslaving yourself?\",\"protected\":false,\"verified\":false,\"followers_count\":255,\"friends_count\":197,\"listed_count\":2,\"favourites_count\":4064,\"statuses_count\":30382,\"created_at\":\"Sat May 04 12:01:31 +0000 2013\",\"utc_offset\":28800,\"time_zone\":\"Beijing\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/436368673033306112\\/gR_FAlFW.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/436368673033306112\\/gR_FAlFW.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510951209868337152\\/6eNXVNb__normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510951209868337152\\/6eNXVNb__normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1402119228\\/1409317654\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:17:59 +0000 2014\",\"id\":517332604706508800,\"id_str\":\"517332604706508800\",\"text\":\"If you're naive enough to think that we would be better off if the opposition won the last elections, then good for you.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":234395084,\"id_str\":\"234395084\",\"name\":\"Anwar Hadi\",\"screen_name\":\"IniAnwarHadi\",\"location\":\"Pulau Pinang\",\"url\":\"http:\\/\\/www.anakazman.blogspot.com\",\"description\":\"Sometimes a blogger, sometimes a vlogger, sometimes a noob teacher, always a Muslim. Managed by Gushcloud. @DeludeOfficial\",\"protected\":false,\"verified\":false,\"followers_count\":102098,\"friends_count\":289,\"listed_count\":210,\"favourites_count\":186,\"statuses_count\":45071,\"created_at\":\"Wed Jan 05 15:15:07 +0000 2011\",\"utc_offset\":28800,\"time_zone\":\"Kuala Lumpur\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/456689283240189952\\/ldMM1VUP_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/456689283240189952\\/ldMM1VUP_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/234395084\\/1349837992\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":75,\"favorite_count\":42,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"IniAnwarHadi\",\"name\":\"Anwar Hadi\",\"id\":234395084,\"id_str\":\"234395084\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178007807\"}",
			"{\"delete\":{\"status\":{\"id\":516592555278872576,\"id_str\":\"516592555278872576\",\"user_id\":2835411134,\"user_id_str\":\"2835411134\"},\"timestamp_ms\":\"1412178007920\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:07 +0000 2014\",\"id\":517338176709345280,\"id_str\":\"517338176709345280\",\"text\":\"RT @takaaaki0410: \\u697d\\u3057\\u305d\\u3046\\u306b\\u9699\\u9593\\u30c1\\u30a7\\u30c3\\u30af\\u3092\\u3059\\u308b\\u3061\\u3073\\u3046\\u305d\\u30ba\\u3002\\u304b\\u308f\\u3046\\u305d\\u3089\\u3057\\u304f\\u306a\\u3063\\u3066\\u304d\\u307e\\u3057\\u305f\\u3002#\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928 http:\\/\\/t.co\\/McsvrHPAr0\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":118319345,\"id_str\":\"118319345\",\"name\":\"leonardo\",\"screen_name\":\"masumind\",\"location\":\"Japan\",\"url\":null,\"description\":\"Working for strategic designing. Once lived in U.S.A., U.S.S.R. and Russia. Now in Japan. Part-time university lecturer \\u500b\\u4eba\\u306e\\u7acb\\u5834\\u3067\\u3064\\u3076\\u3084\\u3044\\u3066\\u3044\\u307e\\u3059\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":1604,\"friends_count\":597,\"listed_count\":131,\"favourites_count\":600,\"statuses_count\":27957,\"created_at\":\"Sun Feb 28 08:33:20 +0000 2010\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enaboutputPathled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"ACDED6\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/282110252\\/IMG_4869.JPG\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/282110252\\/IMG_4869.JPG\",\"profile_background_tile\":true,\"profile_link_color\":\"038543\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1423205970\\/2006_8___________103_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1423205970\\/2006_8___________103_normal.jpg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 14:17:39 +0000 2014\",\"id\":517317423549018112,\"id_str\":\"517317423549018112\",\"text\":\"\\u697d\\u3057\\u305d\\u3046\\u306b\\u9699\\u9593\\u30c1\\u30a7\\u30c3\\u30af\\u3092\\u3059\\u308b\\u3061\\u3073\\u3046\\u305d\\u30ba\\u3002\\u304b\\u308f\\u3046\\u305d\\u3089\\u3057\\u304f\\u306a\\u3063\\u3066\\u304d\\u307e\\u3057\\u305f\\u3002#\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928 http:\\/\\/t.co\\/McsvrHPAr0\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":265723969,\"id_str\":\"265723969\",\"name\":\"Takaaki Sawada\",\"screen_name\":\"takaaaki0410\",\"location\":\"\",\"url\":null,\"description\":\"\\u304a\\u3044\\u3057\\u3044\\u3082\\u306e\\u3068\\u30ab\\u30ef\\u30a6\\u30bd\\u304c\\u597d\\u304d\\u3067\\u3059\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":352,\"friends_count\":197,\"listed_count\":13,\"favourites_count\":366,\"statuses_count\":6634,\"created_at\":\"Mon Mar 14 01:54:33 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/749259666\\/9ebe30d2ac8d95d6266181ab0f61f90c.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/749259666\\/9ebe30d2ac8d95d6266181ab0f61f90c.png\",\"profile_background_tile\":true,\"profile_link_color\":\"599BFF\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"585959\",\"profile_text_color\":\"FF82E8\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/415878656800460801\\/OSLSTJcC_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/415878656800460801\\/OSLSTJcC_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/265723969\\/1398242024\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":69,\"favorite_count\":79,\"entities\":{\"hashtags\":[{\"text\":\"\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928\",\"indices\":[35,45]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}},{\"id\":517317413965004800,\"id_str\":\"517317413965004800\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}},{\"id\":517317407241543681,\"id_str\":\"517317407241543681\",\"indices\":[46,68],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u30b5\\u30f3\\u30b7\\u30e3\\u30a4\\u30f3\\u6c34\\u65cf\\u9928\",\"indices\":[53,63]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"takaaaki0410\",\"name\":\"Takaaki Sawada\",\"id\":265723969,\"id_str\":\"265723969\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"}]},\"extended_entities\":{\"media\":[{\"id\":517317416271880192,\"id_str\":\"517317416271880192\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcwECIAA7e5T.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"},{\"id\":517317413965004800,\"id_str\":\"517317413965004800\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcneCAAA-HPL.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"},{\"id\":517317407241543681,\"id_str\":\"517317407241543681\",\"indices\":[64,86],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3hcObCIAEm57j.png\",\"url\":\"http:\\/\\/t.co\\/McsvrHPAr0\",\"display_url\":\"pic.twitter.com\\/McsvrHPAr0\",\"expanded_url\":\"http:\\/\\/twitter.com\\/takaaaki0410\\/status\\/517317423549018112\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":1024,\"h\":683,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":226,\"resize\":\"fit\"}},\"source_status_id\":517317423549018112,\"source_status_id_str\":\"517317423549018112\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178007863\"}",
			"{\"delete\":{\"status\":{\"id\":517192344945192960,\"id_str\":\"517192344945192960\",\"user_id\":1134175530,\"user_id_str\":\"1134175530\"},\"timestamp_ms\":\"1412178007972\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:08getNewData +0000 2014\",\"id\":517338180882669568,\"id_str\":\"517338180882669568\",\"text\":\"MABS inici\\u00f3 gira municipal de organizaci\\u00f3n #Maturin  http:\\/\\/t.co\\/fuXmrBZ50Z\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1180076120,\"id_str\":\"1180076120\",\"name\":\"Peri\\u00f3dico de Monagas\",\"screen_name\":\"elPeriodicoDM\",\"location\":\"Matur\\u00edn Estado Monagas\",\"url\":\"http:\\/\\/www.elperiodicodemonagas.com.ve\",\"description\":\"Medio de comunicaci\\u00f3n impreso de Monagas con circulaci\\u00f3n en los 13 municipios del Estado y con 10 a\\u00f1os creciendo en la preferencia del lector.\",\"protected\":false,\"verified\":false,\"followers_count\":12791,\"friends_count\":592,\"listed_count\":53,\"favourites_count\":44,\"statuses_count\":62975,\"created_at\":\"Thu Feb 14 19:14:28 +0000 2013\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/492066173433831424\\/KU5Ib38S.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/492066173433831424\\/KU5Ib38S.png\",\"profile_background_tile\":true,\"profile_link_color\":\"9D1732\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/477923857278332928\\/r1slsa0s_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/477923857278332928\\/r1slsa0s_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1180076120\\/1406152753\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"Maturin\",\"indices\":[43,51]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/fuXmrBZ50Z\",\"expanded_url\":\"http:\\/\\/goo.gl\\/DfKcCB\",\"display_url\":\"goo.gl\\/DfKcCB\",\"indices\":[53,75]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882685953,\"id_str\":\"517338180882685953\",\"text\":\"@Catfale choremos \\ud83d\\ude2d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517338047231180800,\"in_reply_to_status_id_str\":\"517338047231180800\",\"in_reply_to_user_id\":2350518805,\"in_reply_to_user_id_str\":\"2350518805\",\"in_reply_to_screen_name\":\"Catfale\",\"user\":{\"id\":2276490079,\"id_str\":\"2276490079\",\"name\":\"SweetGirl \\u2661\",\"screen_name\":\"joanaa_rosaa\",\"location\":\"Alenquer\",\"url\":null,\"description\":\"Hiii everyone s2\\r\\nhttp:\\/\\/instagram.com\\/joanaahbr\",\"protected\":false,\"verified\":false,\"followers_count\":390,\"friends_count\":362,\"listed_count\":1,\"favourites_count\":4070,\"statuses_count\":5229,\"created_at\":\"Sat Jan 04 18:33:07 +0000 2014\",\"utc_offset\":3600,\"time_zone\":\"Lisbon\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"19FAEB\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/516649733964566528\\/BMSqyZtJ.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/516649733964566528\\/BMSqyZtJ.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"12EBE0\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514121858577227776\\/gjwdeHyk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514121858577227776\\/gjwdeHyk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2276490079\\/1409771857\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Catfale\",\"name\":\"Esbranqui\\u00e7ada \",\"id\":2350518805,\"id_str\":\"2350518805\",\"indices\":[0,8]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882661377,\"id_str\":\"517338180882661377\",\"text\":\"@tusambil SI LA PLAYA ES TU PASI\\u00d3N, NOSOTROS SOMOS TU MEJOR OPCI\\u00d3N. Islas Del Sol. M\\u00e1s que vacaciones, vendemos FELICIDAD\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":110737516,\"in_reply_to_user_id_str\":\"110737516\",\"in_reply_to_screen_name\":\"tusambil\",\"user\":{\"id\":2722767914,\"id_str\":\"2722767914\",\"name\":\"IslasDelSol Oficial\",\"screen_name\":\"IslasDelSolOfic\",\"location\":\"Chichiriviche , Estado Falc\\u00f3n.\",\"url\":\"https:\\/\\/www.facebook.com\\/pages\\/Islas-Del-Sol-Oficial\\/769471293094046\",\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":282,\"friends_count\":658,\"listed_count\":2,\"favourites_count\":14,\"statuses_count\":372,\"created_at\":\"Mon Aug 11 00:27:10 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"00B38F\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498629074361659392\\/QG5-9665_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498629074361659392\\/QG5-9665_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2722767914\\/1409281539\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"tusambil\",\"name\":\"Sambil Venezuela\",\"id\":110737516,\"id_str\":\"110737516\",\"indices\":[0,9]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180895653888,\"id_str\":\"517338180895653888\",\"text\":\"Cinta bukanlah satu-satunya alasan hidup namun tanpa cinta juga hidup akan terasa hambar dan membosankan.\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2271428082,\"id_str\":\"2271428082\",\"name\":\"\\u30f4\\u30a7\\u30cd\\u30c6\\u30a3\",\"screen_name\":\"00_YOUGAKUDAN\",\"location\":\"Indonesia\",\"url\":\"http:\\/\\/Twitterkita.blogspot.com\",\"description\":\"@TweetSinchan\",\"protected\":false,\"verified\":false,\"followers_count\":27576,\"friends_count\":724,\"listed_count\":14,\"favourites_count\":12,\"statuses_count\":236050,\"created_at\":\"Wed Jan 01 09:43:54 +0000 2014\",\"utc_offset\":25200,\"time_zone\":\"Jakarta\",\"geo_enabled\":false,\"lang\":\"id\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000160565720\\/UBrH7TX2.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000160565720\\/UBrH7TX2.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/420520839910416384\\/gXoN3Aai_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/420520839910416384\\/gXoN3Aai_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2271428082\\/1390671094\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"in\",\"timestamp_ms\":\"1412178008706\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882681856,\"id_str\":\"517338180882681856\",\"text\":\"RT @Smindkim: \\u0e21\\u0e36\\u0e07\\u0e07\\u0e07!!!!!!!!! \\u0e2a\\u0e34\\u0e49\\u0e19\\u0e40\\u0e14\\u0e37\\u0e2d\\u0e19\\u0e18\\u0e31\\u0e19\\u0e27\\u0e32\\u0e04\\u0e21\\u0e2b\\u0e22\\u0e38\\u0e14 9 \\u0e27\\u0e31\\u0e19!!!!!!!!!!!!!!!!!! http:\\/\\/t.co\\/xbMvXeQvzR\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/#!\\/download\\/ipad\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPad\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":85056243,\"id_str\":\"85056243\",\"name\":\"\\u0e19\\u0e1f\\u0e1f\\u2663\",\"screen_name\":\"Fei2nFSK\",\"location\":\"out of crowd...\",\"url\":null,\"description\":\"\\u0e15\\u0e49\\u0e2d\\u0e07\\u0e43\\u0e0a\\u0e49\\u0e40\\u0e27\\u0e25\\u0e32\\u0e19\\u0e32\\u0e19\\u0e40\\u0e17\\u0e48\\u0e32\\u0e44\\u0e23,,\",\"protected\":false,\"verified\":false,\"followers_count\":63,\"friends_count\":204,\"listed_count\":1,\"favourites_count\":1755,\"statuses_count\":26169,\"created_at\":\"Sun Oct 25 10:45:21 +0000 2009\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"352726\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/483355979480711169\\/HqYKUYBA.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/483355979480711169\\/HqYKUYBA.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F79CD3\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FCFCF7\",\"profile_text_color\":\"6B3805\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510846017843904512\\/bCcXD0vf_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510846017843904512\\/bCcXD0vf_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/85056243\\/1412009011\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Mon Sep 29 12:57:54 +0000 2014\",\"id\":516572575107780609,\"id_str\":\"516572575107780609\",\"text\":\"\\u0e21\\u0e36\\u0e07\\u0e07\\u0e07!!!!!!!!! \\u0e2a\\u0e34\\u0e49\\u0e19\\u0e40\\u0e14\\u0e37\\u0e2d\\u0e19\\u0e18\\u0e31\\u0e19\\u0e27\\u0e32\\u0e04\\u0e21\\u0e2b\\u0e22\\u0e38\\u0e14 9 \\u0e27\\u0e31\\u0e19!!!!!!!!!!!!!!!!!! http:\\/\\/t.co\\/xbMvXeQvzR\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":152617892,\"id_str\":\"152617892\",\"name\":\"\\u2022 \\u0e17\\u0e35\\u0e42\\u0e2d\\u0e1e\\u0e35\\u0e44\\u0e02\\u0e48\\u0e04\\u0e49\\u0e33\\u0e1f\\u0e49\\u0e32 \\u2022\",\"screen_name\":\"Smindkim\",\"location\":\"\\u0e40\\u0e1b\\u0e47\\u0e19\\u0e40\\u0e21\\u0e35\\u0e22\\u0e17\\u0e47\\u0e2d\\u0e1b\\u0e41\\u0e15\\u0e48\\u0e08\\u0e35\\u0e22\\u0e07\\u0e44\\u0e21\\u0e48\\u0e40\\u0e2b\\u0e47\\u0e19\\u0e14\\u0e49\\u0e27\\u0e22\",\"url\":null,\"description\":\"\\u2022 OFFICIAL \\u0e17\\u0e35\\u0e42\\u0e2d\\u0e1e\\u0e35\\u0e44\\u0e02\\u0e48\\u0e04\\u0e49\\u0e33\\u0e1f\\u0e49\\u0e32 \\u2022 || BIGBANG \\u2022 YGSTAN || \\u0e40\\u0e01\\u0e23\\u0e35\\u0e22\\u0e19\\u0e15\\u0e32\\u0e21\\u0e28\\u0e25\\u0e1b. || \\u0e43\\u0e04\\u0e23\\u0e2b\\u0e25\\u0e48\\u0e2d\\u0e01\\u0e39\\u0e15\\u0e34\\u0e48\\u0e07\\u0e2b\\u0e21\\u0e14 \\u0e08\\u0e2d\\u0e1a\\u0e2d.\",\"protected\":false,\"verified\":false,\"followers_count\":605,\"friends_count\":271,\"listed_count\":1,\"favourites_count\":776,\"statuses_count\":57631,\"created_at\":\"Sun Jun 06 12:38:59 +0000 2010\",\"utc_offset\":-25200,\"time_zone\":\"Pacific Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000098270022\\/f5eaf8af30373c06eca9e6aecf6ff5dd.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000098270022\\/f5eaf8af30373c06eca9e6aecf6ff5dd.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"7A787A\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DAECF4\",\"profile_text_color\":\"663B12\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/502121825904513025\\/_PigfGCi_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/502121825904513025\\/_PigfGCi_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/152617892\\/1409592183\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":15695,\"favorite_count\":1734,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[60,82],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[60,82],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Smindkim\",\"name\":\"\\u2022 \\u0e17\\u0e35\\u0e42\\u0e2d\\u0e1e\\u0e35\\u0e44\\u0e02\\u0e48\\u0e04\\u0e49\\u0e33\\u0e1f\\u0e49\\u0e32 \\u2022\",\"id\":152617892,\"id_str\":\"152617892\",\"indices\":[3,12]}],\"symbols\":[],\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[74,96],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}},\"source_status_id\":516572575107780609,\"source_status_id_str\":\"516572575107780609\"}]},\"extended_entities\":{\"media\":[{\"id\":516572573199380480,\"id_str\":\"516572573199380480\",\"indices\":[74,96],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/Bys8BLZCMAACkRW.jpg\",\"url\":\"http:\\/\\/t.co\\/xbMvXeQvzR\",\"display_url\":\"pic.twitter.com\\/xbMvXeQvzR\",\"expanded_url\":\"http:\\/\\/twitter.com\\/Smindkim\\/status\\/516572575107780609\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":308,\"h\":275,\"resize\":\"fit\"},\"small\":{\"w\":308,\"h\":275,\"resize\":\"fit\"}},\"source_status_id\":516572575107780609,\"source_status_id_str\":\"516572575107780609\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178008686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180878475264,\"id_str\":\"517338180878475264\",\"text\":\"RT @GroupZ_X4: \\u0627\\u0644\\u0643\\u062b\\u064a\\u0631 \\u064a\\u0633\\u0623\\u0644 \\u0648\\u0634 \\u0633\\u0631 \\u0632\\u064a\\u0627\\u062f\\u0629 \\u0639\\u062f\\u062f \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u061f\\n\\n\\u0627\\u0644\\u0633\\u0631: \\u062a\\u0637\\u0628\\u064a\\u0642 \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u0627\\u0644\\u062a\\u0644\\u0642\\u0627\\u0626\\u064a \\ud83d\\udc47\\nhttp:\\/\\/t.co\\/s8IRtbpiEC\\n\\n\\u0644\\u0627\\u062a\\u0646\\u0633\\u0649 \\u062a\\u0636\\u063a\\u0637 \\u0641\\u0648\\u0644\\u0648 \\u0628\\u0639\\u062f \\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/topretweet.com\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u062a\\u0637\\u0628\\u064a\\u0642 \\u062a\\u0648\\u0628 \\u0631\\u062a\\u0648\\u064a\\u062a\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2549840300,\"id_str\":\"2549840300\",\"name\":\"Ronaldinho.\",\"screen_name\":\"zezovic7\",\"location\":\"\",\"url\":null,\"description\":\"\\u0633\\u0628\\u062d\\u0627\\u0646 \\u0627\\u0644\\u0644\\u0647 \\u0648\\u0628\\u062d\\u0645\\u062f\\u0647 .. \\u0633\\u0628\\u062d\\u0627\\u0646 \\u0627\\u0644\\u0644\\u0647 \\u0627\\u0644\\u0639\\u0638\\u064a\\u0645 .\",\"protected\":false,\"verified\":false,\"followers_count\":772,\"friends_count\":2001,\"listed_count\":0,\"favourites_count\":859,\"statuses_count\":10339,\"created_at\":\"Fri Jun 06 11:45:49 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514838622193741824\\/s_M_jMo7_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514838622193741824\\/s_M_jMo7_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2549840300\\/1406991479\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:33:56 +0000 2014\",\"id\":517336620723220481,\"id_str\":\"517336620723220481\",\"text\":\"\\u0627\\u0644\\u0643\\u062b\\u064a\\u0631 \\u064a\\u0633\\u0623\\u0644 \\u0648\\u0634 \\u0633\\u0631 \\u0632\\u064a\\u0627\\u062f\\u0629 \\u0639\\u062f\\u062f \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u061f\\n\\n\\u0627\\u0644\\u0633\\u0631: \\u062a\\u0637\\u0628\\u064a\\u0642 \\u0627\\u0644\\u0631\\u064a\\u062a\\u0648\\u064a\\u062a \\u0627\\u0644\\u062a\\u0644\\u0642\\u0627\\u0626\\u064a \\ud83d\\udc47\\nhttp:\\/\\/t.co\\/s8IRtbpiEC\\n\\n\\u0644\\u0627\\u062a\\u0646\\u0633\\u0649 \\u062a\\u0636\\u063a\\u0637 \\u0641\\u0648\\u0644\\u0648 \\u0628\\u0639\\u062f \\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 + \\u0631\\u062a\\u0648\\u064a\\u062a 76\",\"source\":\"\\u003ca href=\\\"http:\\/\\/retweetcom.com\\/ttww\\\" rel=\\\"nofollow\\\"\\u003e\\u062a\\u0637\\u0628\\u064a\\u0642 \\u0631\\u062a\\u0648\\u064a\\u062a \\u0648\\u0648 \\u062a\\u0644\\u0627\\u0642\\u0627\\u0626\\u064a\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":367777767,\"id_str\":\"367777767\",\"name\":\"\\u0642\\u0631\\u0648\\u0628 \\u0632\\u062f \\u0625\\u0643\\u0633 *4*\",\"screen_name\":\"GroupZ_X4\",\"location\":\"\\u0644\\u0632\\u064a\\u0627\\u062f\\u0629 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646\\u0643 \\u0623\\u0646\\u0636\\u0645 \\u0627\\u0644\\u0627\\u0646 \\u0645\\u0639\\u0646\\u0627\",\"url\":\"http:\\/\\/www.TopRetweet.com\",\"description\":\"\\u0627\\u0644\\u0623\\u0648\\u0644 \\u0639\\u0627\\u0644\\u0645\\u064a\\u0627\\u064b \\u0644\\u0632\\u064a\\u0627\\u062f\\u0629 \\u0645\\u062a\\u0627\\u0628\\u0639\\u064a\\u0646\\u0643 \\u0648\\u0641\\u064a \\u0645\\u0639\\u062f\\u0644 \\u0627\\u0644\\u0631\\u062a\\u0648\\u064a\\u062a \\u0627\\u0644\\u064a\\u0648\\u0645\\u064a | \\u062d\\u0633\\u0627\\u0628 \\u0642\\u0631\\u0648\\u0628 \\u0632\\u062f \\u0623\\u0643\\u0633 \\u0647\\u0648 \\u062d\\u0633\\u0627\\u0628\\u0643\\u0645 \\u0648\\u0644\\u062e\\u062f\\u0645\\u062a\\u0643\\u0645 |\",\"protected\":false,\"verified\":false,\"followers_count\":187372,\"friends_count\":161045,\"listed_count\":120,\"favourites_count\":128,\"statuses_count\":11865,\"created_at\":\"Sun Sep 04 15:10:15 +0000 2011\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515446865873993728\\/Gn2xQm7T_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515446865873993728\\/Gn2xQm7T_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/367777767\\/1411727139\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1067,\"favorite_count\":14,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/s8IRtbpiEC\",\"expanded_url\":\"http:\\/\\/topretweet.com\\/\",\"display_url\":\"topretweet.com\",\"indices\":[72,94]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/s8IRtbpiEC\",\"expanded_url\":\"http:\\/\\/topretweet.com\\/\",\"display_url\":\"topretweet.com\",\"indices\":[87,109]}],\"user_mentions\":[{\"screen_name\":\"GroupZ_X4\",\"name\":\"\\u0642\\u0631\\u0648\\u0628 \\u0632\\u062f \\u0625\\u0643\\u0633 *4*\",\"id\":367777767,\"id_str\":\"367777767\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178008680\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180886880256,\"id_str\":\"517338180886880256\",\"text\":\"@Kjjzz hi...\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for  Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517329171685449730,\"in_reply_to_status_id_str\":\"517329171685449730\",\"in_reply_to_user_id\":146032609,\"in_reply_to_user_id_str\":\"146032609\",\"in_reply_to_screen_name\":\"Kjjzz\",\"user\":{\"id\":357280463,\"id_str\":\"357280463\",\"name\":\"Kharollina Arma\",\"screen_name\":\"ysollkjw272412\",\"location\":\"Indonesia\",\"url\":null,\"description\":\"Born : Jakarta,27-09-1988.           Live in : Bekasi Timur.           Work at : PT. CMNP, tbk.     Hobby : Watching,Reading,Eating,Sleeping.\",\"protected\":false,\"verified\":false,\"followers_count\":24,\"friends_count\":266,\"listed_count\":0,\"favourites_count\":243,\"statuses_count\":3059,\"created_at\":\"Thu Aug 18 03:41:14 +0000 2011\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/512820501656244225\\/YQCHvUwa.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/512820501656244225\\/YQCHvUwa.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"C400FF\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509633676271812608\\/kFUjxPYW_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509633676271812608\\/kFUjxPYW_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/357280463\\/1411019533\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Kjjzz\",\"name\":\"\\uae40\\uc885\\uc9c4\",\"id\":146032609,\"id_str\":\"146032609\",\"indices\":[0,6]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178008663\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180882661378,\"id_str\":\"517338180882661378\",\"text\":\"\\ubb38\\uc758\\uce74\\ud1a1:pik82 \\ud30c\\uc6cc\\ubcfc\\ucd94\\uac00&amp;\\ub124\\uc784\\ub4dc\\uc88c\\uc6b0\\ucd9c\\ubc1c \\uc0ac\\ub2e4\\ub9ac&amp;\\uc2a4\\ud3ec\\uce20\\ud1a0\\ud1a0 \\uc548\\uc804\\ud55c \\uba54\\uc774\\uc838 \\ub180\\uc774\\ud130 4\\ub144\\ubb34\\uc0ac\\uace0\\uae40\\ub3d9\\ub960\\ud504\\ub85c\\uc57c\\uad6c\\uc190\\uc5f0\\uc7ac\\uae40\\uc724\\ud76c\\ubc84\\uac70\\ud0b9\\uc774\\ub2e4\\uc560\\ubcf5\\ud559\\uc655\\ud604\\uc815\\ud654 \\ub2e8\\ud3f4\\/\\ud06c\\ub85c\\uc2a4\\uac00\\ub2a5 \\ubcf5\\uc8fc\\uba38\\ub2c8\\ucd94\\uac00 \\uccab\\uac00\\uc785\\uccab\\ucda9 \\uae08\\uc561\\uad00\\uacc4\\uc5c6\\uc774 15% \\ub9e4\\ucda910% \\ub099\\ucca8\\uae08 2%~ \\uc548\\uc548%$!~-%&amp;&amp;^\\uc804\\uc804\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":592743462,\"id_str\":\"592743462\",\"name\":\"\\uc548\\ud638\\ud604\",\"screen_name\":\"ghgus0906\",\"location\":\"\",\"url\":null,\"description\":\"930906\",\"protected\":false,\"verified\":false,\"followers_count\":1,\"friends_count\":1,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":681,\"created_at\":\"Mon May 28 11:56:53 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ko\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2613527304\\/rcqri5lkgbo506a2rwsf_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2613527304\\/rcqri5lkgbo506a2rwsf_normal.png\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ko\",\"timestamp_ms\":\"1412178008664\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180908236800,\"id_str\":\"517338180908236800\",\"text\":\"RT @Luke5SOS: Oh my I am tired\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1276793540,\"id_str\":\"1276793540\",\"name\":\"Jackie\",\"screen_name\":\"jackiiie16\",\"location\":\"desert\",\"url\":null,\"description\":\"follow your dreams\",\"protected\":false,\"verified\":false,\"followers_count\":357,\"friends_count\":570,\"listed_count\":0,\"favourites_count\":24496,\"statuses_count\":15295,\"created_at\":\"Mon Mar 18 04:43:56 +0000 2013\",\"utc_offset\":-25200,\"time_zone\":\"Arizona\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514595898656305154\\/LHhZjWPT_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514595898656305154\\/LHhZjWPT_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1276793540\\/1411965644\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:40 +0000 2014\",\"id\":517337558725173248,\"id_str\":\"517337558725173248\",\"text\":\"Oh my I am tired\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":403245020,\"id_str\":\"403245020\",\"name\":\"Luke Hemmings\",\"screen_name\":\"Luke5SOS\",\"location\":\"\",\"url\":null,\"description\":\"im in a band, we do weird shit sometimes.\",\"protected\":false,\"verified\":true,\"followers_count\":4226053,\"friends_count\":22385,\"listed_count\":29925,\"favourites_count\":198,\"statuses_count\":7187,\"created_at\":\"Wed Nov 02 06:59:37 +0000 2011\",\"utc_offset\":36000,\"time_zone\":\"Sydney\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513073073239502848\\/dRl1bEAI_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513073073239502848\\/dRl1bEAI_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/403245020\\/1410202628\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":11267,\"favorite_count\":14295,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Luke5SOS\",\"name\":\"Luke Hemmings\",\"id\":403245020,\"id_str\":\"403245020\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178008695\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180899450880,\"id_str\":\"517338180899450880\",\"text\":\"@loeng_kiu \\u78ba\\u304b\\u5317\\u6b27\\u306f\\u30b2\\u30eb\\u30de\\u30f3\\u6c11\\u65cf\\u304c\\u4e3b\\u4f53\\u3067\\u3057\\u305f\\u3063\\u3051 \\u30a2\\u30b8\\u30a2\\u7cfb\\u304c\\u8d77\\u6e90\\u3060\\u3063\\u305f\\u306e\\u306f\\u521d\\u3081\\u3066\\u77e5\\u308a\\u307e\\u3057\\u305f  \\u8d77\\u6e90\\u304c\\u9055\\u3046\\u3068\\u3001\\u8a00\\u8a9e\\u3060\\u3051\\u3067\\u306a\\u304f\\u6587\\u5316\\u306a\\u3069\\u3082\\u9055\\u3044\\u304c\\u51fa\\u3066\\u304f\\u308b\\u306e\\u3067\\u3057\\u3087\\u3046\\u304b\\u306d\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517335569601294336,\"in_reply_to_status_id_str\":\"517335569601294336\",\"in_reply_to_user_id\":1707049268,\"in_reply_to_user_id_str\":\"1707049268\",\"in_reply_to_screen_name\":\"loeng_kiu\",\"user\":{\"id\":2316867751,\"id_str\":\"2316867751\",\"name\":\"\\u699b\\u306e\\u4eba@\\u3046\\u305f\\u3046\\u305f\\u3044\",\"screen_name\":\"libra_cullet\",\"location\":\"\",\"url\":null,\"description\":\"\\u57fa\\u672c\\u7121\\u6c17\\u529b\\u3002\\u3058\\u3083\\u306a\\u304b\\u3063\\u305f\\u3089\\u30cd\\u30ac\\u30c6\\u30a3\\u30d6\\u3002\\u96d1\\u98df\\u3002\\u8272\\u3005\\u81ea\\u91cd\\u3057\\u306a\\u3044\\uff06\\u982d\\u304a\\u304b\\u3057\\u3044\\u3002\\u3068\\u306b\\u304b\\u304f\\u7f8e\\u3057\\u3044\\u3082\\u306e\\u306f\\u611b\\u3067\\u308b\\u4e3b\\u7fa9\\u3002\\u30c4\\u30a4\\u30fc\\u30c8\\u5185\\u5bb9\\u304c\\u3068\\u3053\\u3068\\u3093\\u9177\\u3044\\u306e\\u3068\\u304b\\u306a\\u308a\\u3046\\u308b\\u3055\\u3044\\u306e\\u3067\\u6c17\\u3092\\u4ed8\\u3051\\u3066\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":44,\"friends_count\":79,\"listed_count\":1,\"favourites_count\":950,\"statuses_count\":5424,\"created_at\":\"Wed Jan 29 09:53:08 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508288496713216000\\/m2DljMKy_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508288496713216000\\/m2DljMKy_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2316867751\\/1410020537\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"loeng_kiu\",\"name\":\"\\u0456\\u0432\\u0430\\u043d\",\"id\":1707049268,\"id_str\":\"1707049268\",\"indices\":[0,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:08 +0000 2014\",\"id\":517338180916228097,\"id_str\":\"517338180916228097\",\"text\":\"RT @funassyi: \\u3082\\u3084\\u3059\\u307f\\u306a\\u3063\\u3057\\u30fc\\u266a\\u30fe(\\u3002\\u309c\\u25bd\\u309c)\\u30ce\\u30ea\\u30d7\\u3044\\u3064\\u3082\\u3042\\u308a\\u304c\\u3068\\u306a\\u3063\\u3057\\u306a\\u30fc\\u266a \\n\\u660e\\u65e5\\u3082\\u5143\\u6c17\\u306b\\u68a8\\u6c41\\u30d6\\u30b7\\u30e3\\u30fc,\\\":*\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2583744098,\"id_str\":\"2583744098\",\"name\":\"\\u95a2\\u30b8\\u30e3\\u30cb\\u221e@\\u305f\\u3063\\u3061\\u3087\\u3093\\u547d\\u221e\",\"screen_name\":\"MKan8love\",\"location\":\"\",\"url\":null,\"description\":\"\\u6fc3\\u3081green\\u30a8\\u30a4\\u30bf\\u30fc\\u3067\\u3059\\u221e\\u6eba\\u611b\\u221epoem\\u3092\\u4e3b\\u306b\\u66f8\\u3044\\u305f\\u308a\\u77ed\\u7de8\\u5984\\u60f3\\u5c0f\\u8aac\\u306a\\u3069\\u3092\\u66f8\\u3044\\u3066\\u884c\\u304d\\u305f\\u3044\\u3068\\u601d\\u3044\\u307e\\u3059(*\\u00b4\\u2200\\uff40)\\u30ce\\u4e3b\\u306e\\u5984\\u60f3\\u3070\\u3063\\u304b\\u3084\\u3051\\u3069\\u4ed8\\u304d\\u5408\\u3063\\u3066\\u304f\\u308c\\u308b\\u512a\\u3057\\u3044\\u30a8\\u30a4\\u30bf\\u30fc\\u52df\\u96c6\\u4e2d(*\\u00b4\\u2200\\uff40)\\u30ce\\u7121\\u8a00\\u30d5\\u30a9\\u30ed\\u30fcOK(*\\u00b4\\u2200\\uff40)\\u30ce\",\"protected\":false,\"verified\":false,\"followers_count\":9,\"friends_count\":25,\"listed_count\":0,\"favourites_count\":10,\"statuses_count\":56,\"created_at\":\"Mon Jun 23 10:07:48 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/483981165280260096\\/CWagQYpU_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/483981165280260096\\/CWagQYpU_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2583744098\\/1412089074\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:37 +0000 2014\",\"id\":517334525869703169,\"id_str\":\"517334525869703169\",\"text\":\"\\u3082\\u3084\\u3059\\u307f\\u306a\\u3063\\u3057\\u30fc\\u266a\\u30fe(\\u3002\\u309c\\u25bd\\u309c)\\u30ce\\u30ea\\u30d7\\u3044\\u3064\\u3082\\u3042\\u308a\\u304c\\u3068\\u306a\\u3063\\u3057\\u306a\\u30fc\\u266a \\n\\u660e\\u65e5\\u3082\\u5143\\u6c17\\u306b\\u68a8\\u6c41\\u30d6\\u30b7\\u30e3\\u30fc,\\\":*\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":417968533,\"id_str\":\"417968533\",\"name\":\"\\u3075\\u306a\\u3063\\u3057\\u30fc\",\"screen_name\":\"funassyi\",\"location\":\"\\u5343\\u8449\\u770c\\u8239\\u6a4b\\u5e02\",\"url\":\"http:\\/\\/www.universal-music.co.jp\\/funassyi\",\"description\":\"(\\u3002\\u309c\\u25bd\\u309c)9\\u670828\\u65e5\\u5317\\u6d77\\u9053\\u7802\\u5ddd\\u5e02 10\\u670811\\u65e5WINDS\\u96e3\\u6ce2  19\\u65e5\\u5f66\\u6839\\u30b5\\u30df\\u30c3\\u30c8 \\u8239\\u6a4b\\u5e02\\u975e\\u516c\\u8a8d\\u30ad\\u30e3\\u30e9\\u300c\\u3075\\u306a\\u3063\\u3057\\u30fc\\u300d\\u306e\\u767b\\u5834\\u3067\\u3059\\uff01\\u96d1\\u3067\\u3086\\u308b\\u3044\\u9854\\u304c\\u7279\\u5fb4\\u3067\\u3059!\\u4e8c\\u5343\\u5e74\\u306b1\\u5ea6\\u3060\\u3051\\u73fe\\u308c\\u308b\\u5947\\u8de1\\u306e\\u68a8\\u306e\\u5996\\u7cbe\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":923909,\"friends_count\":26597,\"listed_count\":5088,\"favourites_count\":81,\"statuses_count\":38594,\"created_at\":\"Mon Nov 21 15:49:25 +0000 2011\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/756588496\\/6475ef5230bebf76d110c98e73937920.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/756588496\\/6475ef5230bebf76d110c98e73937920.png\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/3362441016\\/b5a59a8f1b69a1348e5c3942b9f2c725_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/3362441016\\/b5a59a8f1b69a1348e5c3942b9f2c725_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/417968533\\/1355213615\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":219,\"favorite_count\":490,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"funassyi\",\"name\":\"\\u3075\\u306a\\u3063\\u3057\\u30fc\",\"id\":417968533,\"id_str\":\"417968533\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178008704\"}",
			"{\"delete\":{\"status\":{\"id\":420658496414027776,\"id_str\":\"420658496414027776\",\"user_id\":63286510,\"user_id_str\":\"63286510\"},\"timestamp_ms\":\"1412178009566\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102536705,\"id_str\":\"517338185102536705\",\"text\":\"@TurkeyNoHam you go to school today\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517332584770981888,\"in_reply_to_status_id_str\":\"517332584770981888\",\"in_reply_to_user_id\":187654213,\"in_reply_to_user_id_str\":\"187654213\",\"in_reply_to_screen_name\":\"TurkeyNoHam\",\"user\":{\"id\":337424879,\"id_str\":\"337424879\",\"name\":\"simply me\",\"screen_name\":\"Softpink_lips\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":408,\"friends_count\":381,\"listed_count\":3,\"favourites_count\":1718,\"statuses_count\":58124,\"created_at\":\"Mon Jul 18 00:52:41 +0000 2011\",\"utc_offset\":-18000,\"time_zone\":\"Central Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"1A1B1F\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme9\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"2FC2EF\",\"profile_sidebar_border_color\":\"181A1E\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/495778408903999488\\/hLZ7V1rk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/495778408903999488\\/hLZ7V1rk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/337424879\\/1387148371\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"TurkeyNoHam\",\"name\":\"King\\u264fTurk\",\"id\":187654213,\"id_str\":\"187654213\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185073168384,\"id_str\":\"517338185073168384\",\"text\":\"RT @VenEnterate: Conozca a la mujer que se queda dormida en el acto si llega a re\\u00edrse. Ver  \\u2192 http:\\/\\/t.co\\/mzOhu1OkQA http:\\/\\/t.co\\/BPquuXt9hN\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tooltwits.com\\/\\\" rel=\\\"nofollow\\\"\\u003eToolTwits APP\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":767611723,\"id_str\":\"767611723\",\"name\":\"Tips Saludables\",\"screen_name\":\"ModayBellezaes\",\"location\":\"PUBLICIDAD:Jcpickt@Gmail.Com \",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":66443,\"friends_count\":7,\"listed_count\":83,\"favourites_count\":26,\"statuses_count\":15124,\"created_at\":\"Sun Aug 19 13:57:58 +0000 2012\",\"utc_offset\":-16200,\"time_zone\":\"Caracas\",\"geo_enabled\":true,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514804910173335553\\/axn-96rG_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514804910173335553\\/axn-96rG_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Sep 24 17:26:46 +0000 2014\",\"id\":514828301207363584,\"id_str\":\"514828301207363584\",\"text\":\"Conozca a la mujer que se queda dormida en el acto si llega a re\\u00edrse. Ver  \\u2192 http:\\/\\/t.co\\/mzOhu1OkQA http:\\/\\/t.co\\/BPquuXt9hN\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1972496839,\"id_str\":\"1972496839\",\"name\":\"\\u00a1Ven Ent\\u00e9rate!\",\"screen_name\":\"VenEnterate\",\"location\":\"\",\"url\":null,\"description\":\"#Noticias #DatosCuriosos #CosasInteresantes #venEnt\\u00e9rate ||\",\"protected\":false,\"verified\":false,\"followers_count\":5490,\"friends_count\":71,\"listed_count\":13,\"favourites_count\":11,\"statuses_count\":24,\"created_at\":\"Sat Oct 19 18:34:05 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514822272687677440\\/yqQN4vXd_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514822272687677440\\/yqQN4vXd_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1972496839\\/1411581787\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":39,\"favorite_count\":41,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/mzOhu1OkQA\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1ohXCPd\",\"display_url\":\"bit.ly\\/1ohXCPd\",\"indices\":[77,99]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[100,122],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[100,122],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/mzOhu1OkQA\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1ohXCPd\",\"display_url\":\"bit.ly\\/1ohXCPd\",\"indices\":[94,116]}],\"user_mentions\":[{\"screen_name\":\"VenEnterate\",\"name\":\"\\u00a1Ven Ent\\u00e9rate!\",\"id\":1972496839,\"id_str\":\"1972496839\",\"indices\":[3,15]}],\"symbols\":[],\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}},\"source_status_id\":514828301207363584,\"source_status_id_str\":\"514828301207363584\"}]},\"extended_entities\":{\"media\":[{\"id\":514828297948364800,\"id_str\":\"514828297948364800\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByUJm_uIAAAi2wc.jpg\",\"url\":\"http:\\/\\/t.co\\/BPquuXt9hN\",\"display_url\":\"pic.twitter.com\\/BPquuXt9hN\",\"expanded_url\":\"http:\\/\\/twitter.com\\/VenEnterate\\/status\\/514828301207363584\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"large\":{\"w\":500,\"h\":400,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":272,\"resize\":\"fit\"}},\"source_status_id\":514828301207363584,\"source_status_id_str\":\"514828301207363584\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009679\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110933504,\"id_str\":\"517338185110933504\",\"text\":\"I've had dreams of ihop pancakes for the last 2 nights.\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":363324762,\"id_str\":\"363324762\",\"name\":\"Hilarity Duff\",\"screen_name\":\"JoinTheKIMotion\",\"location\":\"MSU18\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":405,\"friends_count\":303,\"listed_count\":0,\"favourites_count\":4000,\"statuses_count\":39347,\"created_at\":\"Sat Aug 27 22:24:33 +0000 2011\",\"utc_offset\":-18000,\"time_zone\":\"Quito\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"F2D17E\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000111563855\\/0eeb3bc61a50435d5f2de0fe2bce99d8.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000111563855\\/0eeb3bc61a50435d5f2de0fe2bce99d8.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"AB0505\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"000000\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514541961148370944\\/cMpwE7a__normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514541961148370944\\/cMpwE7a__normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/363324762\\/1408047304\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185072775169,\"id_str\":\"517338185072775169\",\"text\":\"\\u3081\\u3063\\u3061\\u3083\\u7b11\\u3063\\u3066\\u308b #daitoanime\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.jstwi.com\\/kurotwi\\/\\\" rel=\\\"nofollow\\\"\\u003eKuroTwi\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":302070606,\"id_str\":\"302070606\",\"name\":\"\\u305f\\u304b\\u3074\\u3087\\u3093\\uff2010\\/11\\u3042\\u306b\\u3077\\u308a\",\"screen_name\":\"tkpyonn\",\"location\":\"\",\"url\":\"http:\\/\\/www.ustream.tv\\/channel\\/tkpyonn\",\"description\":\"\\u548c\\u59e6\\u5927\\u597d\\u304d\\u30de\\u30f3\",\"protected\":false,\"verified\":false,\"followers_count\":1462,\"friends_count\":1454,\"listed_count\":116,\"favourites_count\":17987,\"statuses_count\":170395,\"created_at\":\"Fri May 20 15:06:38 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/516705932705685504\\/NxncvWm9.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/516705932705685504\\/NxncvWm9.png\",\"profile_background_tile\":false,\"profile_link_color\":\"009EB3\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/2714017331\\/2a651bafb92e4da90c3c95f0302fb629_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/2714017331\\/2a651bafb92e4da90c3c95f0302fb629_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/302070606\\/1412027350\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"daitoanime\",\"indices\":[9,20]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102528512,\"id_str\":\"517338185102528512\",\"text\":\"@Michael5SOS gg\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517336196004200448,\"in_reply_to_status_id_str\":\"517336196004200448\",\"in_reply_to_user_id\":2225367061,\"in_reply_to_user_id_str\":\"2225367061\",\"in_reply_to_screen_name\":\"fiercemikey\",\"user\":{\"id\":2225367061,\"id_str\":\"2225367061\",\"name\":\"MICHAEL?| TODAY\",\"screen_name\":\"fiercemikey\",\"location\":\"\",\"url\":null,\"description\":\"i wish that i could wake up with michael clifford\",\"protected\":false,\"verified\":false,\"followers_count\":1234,\"friends_count\":1602,\"listed_count\":12,\"favourites_count\":2430,\"statuses_count\":12371,\"created_at\":\"Sun Dec 01 18:07:17 +0000 2013\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"F090C3\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512007535105019904\\/pEQspqtw_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512007535105019904\\/pEQspqtw_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2225367061\\/1410907083\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Michael5SOS\",\"name\":\"Michael Clifford\",\"id\":403246803,\"id_str\":\"403246803\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"und\",\"timestamp_ms\":\"1412178009669\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085759488,\"id_str\":\"517338185085759488\",\"text\":\"@clima_UACh quedo pegado el termometro\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517336899372216320,\"in_reply_to_status_id_str\":\"517336899372216320\",\"in_reply_to_user_id\":458612654,\"in_reply_to_user_id_str\":\"458612654\",\"in_reply_to_screen_name\":\"clima_UACh\",\"user\":{\"id\":50948250,\"id_str\":\"50948250\",\"name\":\"Alejandro B\",\"screen_name\":\"raubus\",\"location\":\"Chile\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":121,\"friends_count\":83,\"listed_count\":0,\"favourites_count\":237,\"statuses_count\":5896,\"created_at\":\"Fri Jun 26 06:20:57 +0000 2009\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/456218347298766850\\/ELLbeDtT_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/456218347298766850\\/ELLbeDtT_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"clima_UACh\",\"name\":\"Clima_Miraflores\",\"id\":458612654,\"id_str\":\"458612654\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"delete\":{\"status\":{\"id\":302654475481526272,\"id_str\":\"302654475481526272\",\"user_id\":519251696,\"user_id_str\":\"519251696\"},\"timestamp_ms\":\"1412178009631\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089572864,\"id_str\":\"517338185089572864\",\"text\":\"\\u7530\\u4e2d\\u8056\\u304c\\u30d0\\u30f3\\u30c9\\u7d50\\u6210\\uff57\\uff57\\uff57\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twipple.jp\\/\\\" rel=\\\"nofollow\\\"\\u003e\\u3064\\u3044\\u3063\\u3077\\u308b\\u3000\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1315705094,\"id_str\":\"1315705094\",\"name\":\"\\u3046\\u3055\",\"screen_name\":\"hideki1777\",\"location\":\"\",\"url\":null,\"description\":\"\\u304a\\u8336\\u5c0f\\/\\u9ad8\\u8f2a\\/\\u65e9\\u7a32\\u7530\\u96fb\\u30d4\\u30ab2\\/w.s.s.\\/\\u306b\\u308f\\u304b\\u30e1\\u30bf\\u30e9\\u30fc\\/FFTCG\\/\\u610f\\u8b58\\u4ed6\\u754c\\u7cfb\\u7537\\u5b50\\/\",\"protected\":false,\"verified\":false,\"followers_count\":81,\"friends_count\":78,\"listed_count\":0,\"favourites_count\":84,\"statuses_count\":4904,\"created_at\":\"Sat Mar 30 03:45:29 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515444952327675904\\/Uti7xbNA_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515444952327675904\\/Uti7xbNA_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1315705094\\/1402282307\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009665\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110519808,\"id_str\":\"517338185110519808\",\"text\":\"@emume_ \\u30b9\\u30bf\\u30c3\\u30d5\\u306b\\u307e\\u3067\\u3044\\u3058\\u3089\\u308c\\u308b\\u3075\\u304f\\u3057\\u304f\\u3093\\u3063\\u3066\\u4e0d\\u61ab\\u3063\\u3066\\u8a00\\u8449\\u3058\\u3083\\u3082\\u3046\\u6e08\\u307e\\u3055\\u308c\\u306a\\u3044\\u3067\\u3059\\u3088\\u3049\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/tapbots.com\\/tweetbot\\\" rel=\\\"nofollow\\\"\\u003eTweetbot for i\\u039fS\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337756947578881,\"in_reply_to_status_id_str\":\"517337756947578881\",\"in_reply_to_user_id\":1337876550,\"in_reply_to_user_id_str\":\"1337876550\",\"in_reply_to_screen_name\":\"emume_\",\"user\":{\"id\":2519085565,\"id_str\":\"2519085565\",\"name\":\"\\u306b\\u3083\\u3093\",\"screen_name\":\"fkp__\",\"location\":\"\",\"url\":\"http:\\/\\/ask.fm\\/fkp__\",\"description\":\"\\u6b4c\\u821e\\u4f0e\\u5927\\u597d\\u304d\\u91ce\\u90ce\\u306f\\u3075\\u304f\\u3057\\u304f\\u3093\\u304c\\u597d\\u304d\\u3067\\u3059\",\"protected\":false,\"verified\":false,\"followers_count\":22,\"friends_count\":19,\"listed_count\":1,\"favourites_count\":110,\"statuses_count\":1401,\"created_at\":\"Sat May 24 00:55:06 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498530085045952513\\/Bt9Vz02o_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498530085045952513\\/Bt9Vz02o_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2519085565\\/1407468973\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"emume_\",\"name\":\"\\u3048\\u3080\",\"id\":1337876550,\"id_str\":\"1337876550\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009671\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102155776,\"id_str\":\"517338185102155776\",\"text\":\"RT @amnediel: #shop the new Swiss Apple Stem Cell 3000 #exclusively from #skincare #experts @swissbotany101 http:\\/\\/t.co\\/495QvoNlaX http:\\/\\/t\\u2026\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2792030051,\"id_str\":\"2792030051\",\"name\":\"johndoe34\",\"screen_name\":\"johndoe3410\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":3,\"friends_count\":307,\"listed_count\":0,\"favourites_count\":164,\"statuses_count\":261,\"created_at\":\"Mon Sep 29 15:54:37 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_6_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_6_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:14:59 +0000 2014\",\"id\":517331852701757440,\"id_str\":\"517331852701757440\",\"text\":\"#shop the new Swiss Apple Stem Cell 3000 #exclusively from #skincare #experts @swissbotany101 http:\\/\\/t.co\\/495QvoNlaX http:\\/\\/t.co\\/xfQZLs4QEa\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":554629512,\"id_str\":\"554629512\",\"name\":\"#YoungKing \",\"screen_name\":\"amnediel\",\"location\":\"Hull\",\"url\":\"http:\\/\\/www.youtube.com\\/user\\/roloowst?feature=mhee\",\"description\":\"https:\\/\\/t.co\\/XlrqJt3c0j SUPER PRODUCER, DJ OWNER OF @rudeboitown BOOKINGS CONTACT @StratagenMusic AND BEATS amnediel@hotmail.com UK, 1XTRA, BBC INTRO\",\"protected\":false,\"verified\":false,\"followers_count\":64324,\"friends_count\":24290,\"listed_count\":134,\"favourites_count\":6614,\"statuses_count\":21798,\"created_at\":\"Sun Apr 15 18:31:35 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"642D8B\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme10\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"FF0000\",\"profile_sidebar_border_color\":\"65B0DA\",\"profile_sidebar_fill_color\":\"7AC3EE\",\"profile_text_color\":\"3D1957\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/483193705026027520\\/IYcjLbv3_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/483193705026027520\\/IYcjLbv3_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/554629512\\/1395489564\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":49,\"favorite_count\":22,\"entities\":{\"hashtags\":[{\"text\":\"shop\",\"indices\":[0,5]},{\"text\":\"exclusively\",\"indices\":[41,53]},{\"text\":\"skincare\",\"indices\":[59,68]},{\"text\":\"experts\",\"indices\":[69,77]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/495QvoNlaX\",\"expanded_url\":\"http:\\/\\/swissbotany.com\\/wpcproduct\\/swiss-apple-stem-cell-3000\\/\",\"display_url\":\"swissbotany.com\\/wpcproduct\\/swi\\u2026\",\"indices\":[94,116]}],\"user_mentions\":[{\"screen_name\":\"swissbotany101\",\"name\":\"swissbotany\",\"id\":2469593083,\"id_str\":\"2469593083\",\"indices\":[78,93]}],\"symbols\":[],\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"extended_entities\":{\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"shop\",\"indices\":[14,19]},{\"text\":\"exclusively\",\"indices\":[55,67]},{\"text\":\"skincare\",\"indices\":[73,82]},{\"text\":\"experts\",\"indices\":[83,91]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/495QvoNlaX\",\"expanded_url\":\"http:\\/\\/swissbotany.com\\/wpcproduct\\/swiss-apple-stem-cell-3000\\/\",\"display_url\":\"swissbotany.com\\/wpcproduct\\/swi\\u2026\",\"indices\":[108,130]}],\"user_mentions\":[{\"screen_name\":\"amnediel\",\"name\":\"#YoungKing \",\"id\":554629512,\"id_str\":\"554629512\",\"indices\":[3,12]},{\"screen_name\":\"swissbotany101\",\"name\":\"swissbotany\",\"id\":2469593083,\"id_str\":\"2469593083\",\"indices\":[92,107]}],\"symbols\":[],\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"extended_entities\":{\"media\":[{\"id\":516563143846150144,\"id_str\":\"516563143846150144\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByszcUUCQAAXQfd.jpg\",\"url\":\"http:\\/\\/t.co\\/xfQZLs4QEa\",\"display_url\":\"pic.twitter.com\\/xfQZLs4QEa\",\"expanded_url\":\"http:\\/\\/twitter.com\\/amnediel\\/status\\/516563145440387072\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":960,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":900,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"small\":{\"w\":340,\"h\":510,\"resize\":\"fit\"}},\"source_status_id\":516563145440387072,\"source_status_id_str\":\"516563145440387072\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009685\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185077370881,\"id_str\":\"517338185077370881\",\"text\":\"\\ud83d\\udc40\\ud83d\\udc40\\ud83d\\udc40\\ud83d\\udc40\\ud83d\\udc40\\nLUKE HEMMINGS FROM 5SOS \\ud83c\\udfb8\\n\\nI LOVE YOU SO MUCH AND IT WOULD MEAN THE WORLD TO ME IF YOU FOLLOWED ME? \\ud83d\\udc95\\ud83d\\ude48\\n\\n@Luke5SOS @5SOS \\n\\ud83d\\udc28\\ud83d\\udc28\\ud83d\\udc28\\ud83d\\udc28\\ud83d\\udc28 x1566\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1331918078,\"id_str\":\"1331918078\",\"name\":\"katy ~ please luke\",\"screen_name\":\"fuckthisboyband\",\"location\":\"\",\"url\":null,\"description\":\"I'm just trying to find some color in this black and white world. \\u10e6delhia, becky, alaina, and leah\\u10e6\",\"protected\":false,\"verified\":false,\"followers_count\":3815,\"friends_count\":1325,\"listed_count\":40,\"favourites_count\":4185,\"statuses_count\":28394,\"created_at\":\"Sat Apr 06 15:59:12 +0000 2013\",\"utc_offset\":-10800,\"time_zone\":\"Atlantic Time (Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"ACDED6\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme18\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"038543\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"F6F6F6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511714177401249792\\/BNxJCJgC_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511714177401249792\\/BNxJCJgC_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1331918078\\/1410837150\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Luke5SOS\",\"name\":\"Luke Hemmings\",\"id\":403245020,\"id_str\":\"403245020\",\"indices\":[110,119]},{\"screen_name\":\"5SOS\",\"name\":\"5 Seconds of Summer\",\"id\":264107729,\"id_str\":\"264107729\",\"indices\":[120,125]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110523905,\"id_str\":\"517338185110523905\",\"text\":\"Al\\u00f3jese usted mismo una bala en el cerebro http:\\/\\/t.co\\/Bprr7dfp8D\",\"source\":\"\\u003ca href=\\\"http:\\/\\/publicize.wp.com\\/\\\" rel=\\\"nofollow\\\"\\u003eWordPress.com\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":110259021,\"id_str\":\"110259021\",\"name\":\"SecretOlivo\",\"screen_name\":\"SecretOlivo\",\"location\":\"Andaluc\\u00eda\",\"url\":\"http:\\/\\/www.secretolivo.com\",\"description\":\"Cultura andaluza contempor\\u00e1nea.\\r\\nLa #Andaluc\\u00eda que no te cuentan.\",\"protected\":false,\"verified\":false,\"followers_count\":1583,\"friends_count\":944,\"listed_count\":57,\"favourites_count\":2743,\"statuses_count\":11471,\"created_at\":\"Sun Jan 31 23:02:55 +0000 2010\",\"utc_offset\":7200,\"time_zone\":\"Madrid\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFFFF\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000172628283\\/OGdWnQde.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000172628283\\/OGdWnQde.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0D868F\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"15615D\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/420731903931453440\\/B2xS8eRV_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/420731903931453440\\/B2xS8eRV_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/110259021\\/1406214763\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Bprr7dfp8D\",\"expanded_url\":\"http:\\/\\/wp.me\\/p3n2me-5bs\",\"display_url\":\"wp.me\\/p3n2me-5bs\",\"indices\":[43,65]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009672\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185089576961,\"id_str\":\"517338185089576961\",\"text\":\"@fienel_3kyu \\u30e1\\u30ac\\u30cd\\u30b7\\u30f3\\u30ab\\uff01\",\"source\":\"\\u003ca href=\\\"https:\\/\\/sites.google.com\\/site\\/tweentwitterclient\\/\\\" rel=\\\"nofollow\\\"\\u003eTween\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517338121591980033,\"in_reply_to_status_id_str\":\"517338121591980033\",\"in_reply_to_user_id\":117867937,\"in_reply_to_user_id_str\":\"117867937\",\"in_reply_to_screen_name\":\"fienel_3kyu\",\"user\":{\"id\":55793356,\"id_str\":\"55793356\",\"name\":\"\\u30a8\\u30fc\\u30df\\u30fc\\u30eb\",\"screen_name\":\"maybemk2\",\"location\":\"\\u6771\\u4eac\\u90fd\\u4e09\\u9df9\\u5e02\",\"url\":null,\"description\":\"\\u5929\\u754c\\u4f4f\\u6c11\\u3000\\uff76\\uff6f\\uff81\\uff6c\\uff72\\uff85\\uff70\\u5b66\\u5712\\n\\u30b2\\u30fc\\u30e0\\u30af\\u30e9\\u30b9\\u30bf\\u3067\\u30b2\\u30fc\\u30e0\\u97f3\\u697d\\u30af\\u30e9\\u30b9\\u30bf\\u3067\\u7fbd\\u9ce5\\u30ab\\u30ce\\u30f3\\u30af\\u30e9\\u30b9\\u30bf\\u306e\\u3086\\u3086\\u5f0f\\u4e8b\\u614b\\u306a\\u63d0\\u7763\\u3002\\n\\u4e39\\u4e0b\\u685c\\u3055\\u3093\\u3092\\u5c0a\\u656c\\u3057\\u3066\\u3044\\u307e\\u3059\\u3002\\n1\\u65e5\\u7d04100post\\u3000\\u6301\\u3063\\u3066\\u308b\\u30b5\\u30f3\\u30c8\\u30e9\\u306f\\u3060\\u3044\\u305f\\u3044300\\u679a\\u304f\\u3089\\u3044\\u30fb\\u30fb\\u30fb\\uff1f\\u3000\\u30cb\\u30f3\\u30c6\\u30f3\\u30c9\\u30fcID\\uff1aEMIRU_mk2\",\"protected\":false,\"verified\":false,\"followers_count\":777,\"friends_count\":660,\"listed_count\":115,\"favourites_count\":1652,\"statuses_count\":229673,\"created_at\":\"Sat Jul 11 08:50:34 +0000 2009\",\"utc_offset\":-36000,\"time_zone\":\"Hawaii\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme4\\/bg.gif\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"5ED4DC\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511982381582913536\\/CPxPKrVP_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511982381582913536\\/CPxPKrVP_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/55793356\\/1361803009\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"fienel_3kyu\",\"name\":\"Fienel\\/\\u304a\\u3082\\u3089\\u3057\\u3075\\u3043\\u30fc\\u306d\\u308b\",\"id\":117867937,\"id_str\":\"117867937\",\"indices\":[0,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185097953280,\"id_str\":\"517338185097953280\",\"text\":\"RT @SUH0BOY: \\u0e17\\u0e35\\u0e48\\u0e1e\\u0e35\\u0e48\\u0e0b\\u0e39\\u0e42\\u0e2e\\u0e21\\u0e31\\u0e19\\u0e1e\\u0e39\\u0e14\\u0e27\\u0e31\\u0e19\\u0e19\\u0e31\\u0e49\\u0e19\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e27\\u0e49\\u0e22 \\u0e40\\u0e1b\\u0e47\\u0e19\\u0e21\\u0e36\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e21\\u0e48\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e2b\\u0e23\\u0e2d \\u0e2d\\u0e22\\u0e39\\u0e48\\u0e14\\u0e35\\u0e46\\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e01\\u0e49\\u0e17\\u0e34\\u0e49\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e1b\\u0e41\\u0e1a\\u0e1a\\u0e44\\u0e21\\u0e48\\u0e1a\\u0e2d\\u0e01 \\u0e17\\u0e35\\u0e48\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e40\\u0e0a\\u0e37\\u0e48\\u0e2d\\u0e43\\u0e19\\u0e15\\u0e31\\u0e27\\u0e40\\u0e21\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":877507591,\"id_str\":\"877507591\",\"name\":\"\\u0e2e\\u0e38\\u0e19\\u0e2e\\u0e38\\u0e19\\u0e42\\u0e2d\\u0e1b\\u0e1b\\u0e49\\u0e32\\u0e0b\\u0e32\\u0e23\\u0e32\\u0e07\\u0e40\\u0e2e\",\"screen_name\":\"pak_picha\",\"location\":\"\",\"url\":null,\"description\":\"EXO12 \\u2661 \\u25cf\\u25cbhsehun  \\u2606taohuntaohun\\u2606\",\"protected\":false,\"verified\":false,\"followers_count\":204,\"friends_count\":96,\"listed_count\":0,\"favourites_count\":3280,\"statuses_count\":46029,\"created_at\":\"Sat Oct 13 10:18:12 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFFAFD\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/465356257432305664\\/9A_Mtgxv.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/465356257432305664\\/9A_Mtgxv.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"C7DE1B\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FFFFFF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516451322753609729\\/WL-P0uPa_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516451322753609729\\/WL-P0uPa_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/877507591\\/1400163256\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:37:37 +0000 2014\",\"id\":517337546053795842,\"id_str\":\"517337546053795842\",\"text\":\"\\u0e17\\u0e35\\u0e48\\u0e1e\\u0e35\\u0e48\\u0e0b\\u0e39\\u0e42\\u0e2e\\u0e21\\u0e31\\u0e19\\u0e1e\\u0e39\\u0e14\\u0e27\\u0e31\\u0e19\\u0e19\\u0e31\\u0e49\\u0e19\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e27\\u0e49\\u0e22 \\u0e40\\u0e1b\\u0e47\\u0e19\\u0e21\\u0e36\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e21\\u0e48\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e2b\\u0e23\\u0e2d \\u0e2d\\u0e22\\u0e39\\u0e48\\u0e14\\u0e35\\u0e46\\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e01\\u0e49\\u0e17\\u0e34\\u0e49\\u0e07\\u0e21\\u0e36\\u0e07\\u0e44\\u0e1b\\u0e41\\u0e1a\\u0e1a\\u0e44\\u0e21\\u0e48\\u0e1a\\u0e2d\\u0e01 \\u0e17\\u0e35\\u0e48\\u0e21\\u0e31\\u0e19\\u0e42\\u0e01\\u0e23\\u0e18\\u0e40\\u0e1e\\u0e23\\u0e32\\u0e30\\u0e21\\u0e31\\u0e19\\u0e40\\u0e0a\\u0e37\\u0e48\\u0e2d\\u0e43\\u0e19\\u0e15\\u0e31\\u0e27\\u0e40\\u0e21\\u0e21\\u0e40\\u0e1a\\u0e2d\\u0e23\\u0e4c\\u0e21\\u0e31\\u0e19\\u0e21\\u0e32\\u0e01\\u0e04\\u0e30\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":270886177,\"id_str\":\"270886177\",\"name\":\"\\u0e1c\\u0e39\\u0e49\\u0e2b\\u0e0d\\u0e34\\u0e07\\u0e02\\u0e2d\\u0e07\\u0e0b\\u0e39\\u0e42\\u0e2e \",\"screen_name\":\"SUH0BOY\",\"location\":\"KRISLAY ALWAYS\",\"url\":\"http:\\/\\/ask.fm\\/SUH0BOY\",\"description\":\"Kim Junmyeon | Yoo Jaesuk\",\"protected\":false,\"verified\":false,\"followers_count\":10480,\"friends_count\":141,\"listed_count\":15,\"favourites_count\":8656,\"statuses_count\":87344,\"created_at\":\"Wed Mar 23 12:45:33 +0000 2011\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"D1F3ED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/517301687501864961\\/uJDJJSqy.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/517301687501864961\\/uJDJJSqy.png\",\"profile_background_tile\":true,\"profile_link_color\":\"A985ED\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517300818643406848\\/AALhbwfM_normal.png\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517300818643406848\\/AALhbwfM_normal.png\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/270886177\\/1410017618\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":36,\"favorite_count\":2,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"SUH0BOY\",\"name\":\"\\u0e1c\\u0e39\\u0e49\\u0e2b\\u0e0d\\u0e34\\u0e07\\u0e02\\u0e2d\\u0e07\\u0e0b\\u0e39\\u0e42\\u0e2e \",\"id\":270886177,\"id_str\":\"270886177\",\"indices\":[3,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178009687\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085767681,\"id_str\":\"517338185085767681\",\"text\":\"RT @OutcastFromMars: Most underrated ass in show business http:\\/\\/t.co\\/499tUimzvO\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":503786630,\"id_str\":\"503786630\",\"name\":\"A$AP Wilky\",\"screen_name\":\"Lamar_NoOdom\",\"location\":\"305 via 302\\u2708\",\"url\":null,\"description\":\"Master's student tryna make it in the sports world MSPM\\/MBA\",\"protected\":false,\"verified\":false,\"followers_count\":548,\"friends_count\":457,\"listed_count\":4,\"favourites_count\":260,\"statuses_count\":71199,\"created_at\":\"Sun Feb 26 00:58:15 +0000 2012\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"8B542B\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/436245231\\/LRG.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/436245231\\/LRG.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516417678945570816\\/U5Dmew9p_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516417678945570816\\/U5Dmew9p_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/503786630\\/1409887256\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Fri Sep 26 15:43:59 +0000 2014\",\"id\":515527207721385984,\"id_str\":\"515527207721385984\",\"text\":\"Most underrated ass in show business http:\\/\\/t.co\\/499tUimzvO\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":35230869,\"id_str\":\"35230869\",\"name\":\"Mars\",\"screen_name\":\"OutcastFromMars\",\"location\":\"Dirty Jerz\",\"url\":null,\"description\":\"I'm just a lesbian does tattoos and photo shoots. Book me at lyshea.baker@gmail.com\",\"protected\":false,\"verified\":false,\"followers_count\":2458,\"friends_count\":2273,\"listed_count\":1,\"favourites_count\":5463,\"statuses_count\":100390,\"created_at\":\"Sat Apr 25 15:09:46 +0000 2009\",\"utc_offset\":-14400,\"time_zone\":\"Eastern Time (US & Canada)\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/752421893\\/cc07cfe874879e89835394dd6e275ab8.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/752421893\\/cc07cfe874879e89835394dd6e275ab8.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/515976989199859714\\/FGmfrLUV_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/515976989199859714\\/FGmfrLUV_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/35230869\\/1399227769\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1007,\"favorite_count\":598,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[37,59],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}}}]},\"extended_entities\":{\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[37,59],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"OutcastFromMars\",\"name\":\"Mars\",\"id\":35230869,\"id_str\":\"35230869\",\"indices\":[3,19]}],\"symbols\":[],\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[58,80],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}},\"source_status_id\":515527207721385984,\"source_status_id_str\":\"515527207721385984\"}]},\"extended_entities\":{\"media\":[{\"id\":515527206375010304,\"id_str\":\"515527206375010304\",\"indices\":[58,80],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByeFQ0gIMAAQg3y.jpg\",\"url\":\"http:\\/\\/t.co\\/499tUimzvO\",\"display_url\":\"pic.twitter.com\\/499tUimzvO\",\"expanded_url\":\"http:\\/\\/twitter.com\\/OutcastFromMars\\/status\\/515527207721385984\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"large\":{\"w\":640,\"h\":640,\"resize\":\"fit\"},\"medium\":{\"w\":600,\"h\":600,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":340,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"}},\"source_status_id\":515527207721385984,\"source_status_id_str\":\"515527207721385984\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009693\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085353984,\"id_str\":\"517338185085353984\",\"text\":\"RT @nadinemalate: May feeling ako na hindi mag 4peat sa pagka 4th place ang TPK ngayon \\ud83d\\udc9a #SPCAllIn\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/#!\\/download\\/ipad\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPad\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":142672821,\"id_str\":\"142672821\",\"name\":\"Jeli\",\"screen_name\":\"jeliramiterre\",\"location\":\"\",\"url\":null,\"description\":\"Feeling good. Living better.\",\"protected\":false,\"verified\":false,\"followers_count\":329,\"friends_count\":283,\"listed_count\":2,\"favourites_count\":622,\"statuses_count\":11230,\"created_at\":\"Tue May 11 13:06:19 +0000 2010\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"000000\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/494113304764092418\\/W7tbAswI.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/494113304764092418\\/W7tbAswI.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"D1077D\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"000000\",\"profile_text_color\":\"3BCCB6\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/489950723409338368\\/bEwJSzcr_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/489950723409338368\\/bEwJSzcr_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/142672821\\/1408079048\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 14:37:32 +0000 2014\",\"id\":517322424740630528,\"id_str\":\"517322424740630528\",\"text\":\"May feeling ako na hindi mag 4peat sa pagka 4th place ang TPK ngayon \\ud83d\\udc9a #SPCAllIn\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":43524212,\"id_str\":\"43524212\",\"name\":\"Nadine\",\"screen_name\":\"nadinemalate\",\"location\":\"PHARMA\",\"url\":null,\"description\":\"work hard, stay humble, dream big, and put God above all else\",\"protected\":false,\"verified\":false,\"followers_count\":348,\"friends_count\":225,\"listed_count\":0,\"favourites_count\":4886,\"statuses_count\":13790,\"created_at\":\"Sat May 30 12:58:36 +0000 2009\",\"utc_offset\":-28800,\"time_zone\":\"Alaska\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFEDED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/100087792\\/pink-flowers.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/100087792\\/pink-flowers.jpg\",\"profile_background_tile\":false,\"profile_link_color\":\"ED939C\",\"profile_sidebar_border_color\":\"D16884\",\"profile_sidebar_fill_color\":\"D16884\",\"profile_text_color\":\"73162A\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510759047142727680\\/k9rMD0T6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510759047142727680\\/k9rMD0T6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/43524212\\/1405001253\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":{\"type\":\"Point\",\"coordinates\":[7.056785,125.529414]},\"coordinates\":{\"type\":\"Point\",\"coordinates\":[125.529414,7.056785]},\"place\":{\"id\":\"20c33b9759b51e87\",\"url\":\"https:\\/\\/api.twitter.com\\/1.1\\/geo\\/id\\/20c33b9759b51e87.json\",\"place_type\":\"admin\",\"name\":\"Davao Region\",\"full_name\":\"Davao Region, Republic of the Philippines\",\"country_code\":\"PH\",\"country\":\"Republic of the Philippines\",\"bounding_box\":{\"type\":\"Polygon\",\"coordinates\":[[[125.085096,5.3697596],[125.085096,8.0002653],[126.6070327,8.0002653],[126.6070327,5.3697596]]]},\"attributes\":{}},\"contributors\":null,\"retweet_count\":3,\"favorite_count\":9,\"entities\":{\"hashtags\":[{\"text\":\"SPCAllIn\",\"indices\":[71,80]}],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"tl\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"SPCAllIn\",\"indices\":[89,98]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"nadinemalate\",\"name\":\"Nadine\",\"id\":43524212,\"id_str\":\"43524212\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"tl\",\"timestamp_ms\":\"1412178009689\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185072775170,\"id_str\":\"517338185072775170\",\"text\":\"RT @omoshiroaruaru: \\u2600\\u96a0\\u308cM\\u5ea6\\u8a3a\\u65ad\\u2600\\n\\nM\\u604b\\u4eba\\u306b\\u30ef\\u30ac\\u30de\\u30de\\u3092\\u8a00\\u308f\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:20\\u65e5\\n\\uff12\\u4f4d: 4\\u65e5\\n\\uff13\\u4f4d: 2\\u65e5\\n\\uff14\\u4f4d: 5\\u65e5\\n\\uff15\\u4f4d:17\\u65e5\\n\\nM\\u604b\\u4eba\\u306b\\u7518\\u3048\\u3089\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:14\\u65e5\\n\\uff12\\u4f4d:24\\u65e5\\n\\uff13\\u4f4d:18\\u65e5\\n\\uff14\\u4f4d:12\\u65e5\\n\\uff15\\u4f4d:10\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1173702854,\"id_str\":\"1173702854\",\"name\":\"mikan\",\"screen_name\":\"mi4ka24n\",\"location\":\"\",\"url\":null,\"description\":\"\\u307f\\u304b\\u3093\\u53c2\\u4e0a(\\u00b4\\uff9f\\u03c9\\u309c`)\\r\\n\\r\\n \\u30ea\\u30e9\\u30c3\\u30af\\u30de\\u2661\",\"protected\":false,\"verified\":false,\"followers_count\":90,\"friends_count\":126,\"listed_count\":0,\"favourites_count\":80,\"statuses_count\":2839,\"created_at\":\"Wed Feb 13 02:51:16 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/477209822178193408\\/3sbh2HSB_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/477209822178193408\\/3sbh2HSB_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1173702854\\/1387502275\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:10 +0000 2014\",\"id\":517334411625639937,\"id_str\":\"517334411625639937\",\"text\":\"\\u2600\\u96a0\\u308cM\\u5ea6\\u8a3a\\u65ad\\u2600\\n\\nM\\u604b\\u4eba\\u306b\\u30ef\\u30ac\\u30de\\u30de\\u3092\\u8a00\\u308f\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:20\\u65e5\\n\\uff12\\u4f4d: 4\\u65e5\\n\\uff13\\u4f4d: 2\\u65e5\\n\\uff14\\u4f4d: 5\\u65e5\\n\\uff15\\u4f4d:17\\u65e5\\n\\nM\\u604b\\u4eba\\u306b\\u7518\\u3048\\u3089\\u308c\\u308b\\u4eba\\u306b\\u591a\\u3044\\u8a95\\u751f\\u65e5\\n\\n\\uff11\\u4f4d:14\\u65e5\\n\\uff12\\u4f4d:24\\u65e5\\n\\uff13\\u4f4d:18\\u65e5\\n\\uff14\\u4f4d:12\\u65e5\\n\\uff15\\u4f4d:10\\u65e5\\n\\n\\u3042\\u306a\\u305f\\u3084\\u53cb\\u9054\\u306b\\u3044\\u305f\\u3089RT\\u3057\\u3066\\u306d\\u266a\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.hootsuite.com\\\" rel=\\\"nofollow\\\"\\u003eHootsuite\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1121700192,\"id_str\":\"1121700192\",\"name\":\"\\u96d1\\u5b66\\u3068\\u304a\\u3082\\u3057\\u308d\\u3042\\u308b\\u3042\\u308b\",\"screen_name\":\"omoshiroaruaru\",\"location\":\"\",\"url\":null,\"description\":\"\\u304a\\u3082\\u3057\\u308d\\u30cd\\u30bf\\u3084\\u540d\\u8a00\\u3001\\u96d1\\u5b66\\u306a\\u3069\\u3092\\u3064\\u3076\\u3084\\u3044\\u3066\\u3044\\u304d\\u307e\\u3059\\uff01\\u30bf\\u30e1\\u306b\\u306a\\u3063\\u305f\\u308a\\u304a\\u3082\\u3057\\u308d\\u3044\\u3068\\u601d\\u3063\\u305f\\u3089RT\\u3068\\u30d5\\u30a9\\u30ed\\u30fc\\u304a\\u9858\\u3044\\u3057\\u307e\\u3059\\uff01\\u7b11\\u3044\\u3068\\u611f\\u52d5\\u306e\\u30c4\\u30a4\\u30fc\\u30c8\\u3092\\u697d\\u3057\\u307f\\u306b\\u3057\\u3066\\u3066\\u304f\\u3060\\u3055\\u3044\\uff01\",\"protected\":false,\"verified\":false,\"followers_count\":69883,\"friends_count\":1332,\"listed_count\":404,\"favourites_count\":0,\"statuses_count\":16225,\"created_at\":\"Sat Jan 26 11:26:39 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/378800000510338444\\/e57e53e4fb1f5cfea1d3d033b5b11e76_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/378800000510338444\\/e57e53e4fb1f5cfea1d3d033b5b11e76_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":8,\"favorite_count\":6,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"omoshiroaruaru\",\"name\":\"\\u96d1\\u5b66\\u3068\\u304a\\u3082\\u3057\\u308d\\u3042\\u308b\\u3042\\u308b\",\"id\":1121700192,\"id_str\":\"1121700192\",\"indices\":[3,18]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009688\"}",
			"{\"delete\":{\"status\":{\"id\":324589569725059072,\"id_str\":\"324589569725059072\",\"user_id\":1226580386,\"user_id_str\":\"1226580386\"},\"timestamp_ms\":\"1412178009715\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085370368,\"id_str\":\"517338185085370368\",\"text\":\"@Abdullah_Obian \\n\\n\\u0635\\u062d \\u0644\\u0633\\u0627\\u0646\\u0643 \\u064a\\u0627\\u0628\\u0648\\u062c\\u0648\\u062f \\u0648\\u0627\\u062c\\u0647\\u0647 \\u0645\\u0634\\u0631\\u0641\\u0647 \\u0644\\u0646\\u0627 \\u0627\\u0645\\u0627\\u0645 \\u0627\\u0644\\u0643\\u0644 \\u0628\\u0627\\u0644\\u0623\\u062f\\u0628 \\u0648\\u0627\\u0644\\u062e\\u0644\\u0642 \\u0648\\u0627\\u0644\\u062b\\u0642\\u0627\\u0641\\u0647 \\u0648\\u0627\\u0644\\u0634\\u0639\\u0631 \\u0648\\u0643\\u0644 \\u0645\\u0627\\u0647\\u0648 \\u062c\\u0645\\u064a\\u0644 \\u0641\\u062f\\u0645\\u062a \\u0628\\u0633\\u0645\\u0627\\u0621 \\u0627\\u0644\\u062c\\u0645\\u0627\\u0644 \\u0648\\u0646\\u0628\\u0631\\u0627\\u0633 \\u0644\\u0644\\u062c\\u0645\\u064a\\u0639\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":516631004321046528,\"in_reply_to_status_id_str\":\"516631004321046528\",\"in_reply_to_user_id\":317844683,\"in_reply_to_user_id_str\":\"317844683\",\"in_reply_to_screen_name\":\"Abdullah_Obian\",\"user\":{\"id\":595871338,\"id_str\":\"595871338\",\"name\":\"\\u0641\\u0627\\u0631\\u0633 \\u0627\\u0644 \\u0645\\u0646\\u0635\\u0648\\u0631\",\"screen_name\":\"541649696\",\"location\":\"\\u062c\\u062f\\u0647\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":260,\"friends_count\":387,\"listed_count\":0,\"favourites_count\":9,\"statuses_count\":480,\"created_at\":\"Thu May 31 22:06:16 +0000 2012\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/501925774337662976\\/tfTIq1gK_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/501925774337662976\\/tfTIq1gK_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Abdullah_Obian\",\"name\":\"\\u0639\\u0628\\u062f\\u0627\\u0644\\u0644\\u0647 \\u0639\\u0628\\u064a\\u0627\\u0646\",\"id\":317844683,\"id_str\":\"317844683\",\"indices\":[0,15]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178009666\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185081167872,\"id_str\":\"517338185081167872\",\"text\":\"RT @EndlessWaltz414: \\u80f8\\u306f\\u80f8\\u3060\\u3088(\\u3007\\u00af\\u0e34\\u06a4\\u00af\\u0e34)\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":334382063,\"id_str\":\"334382063\",\"name\":\"\\u8494\\u6c70\",\"screen_name\":\"makt_xX\",\"location\":\"\\u30b0\\u30ea\\u30fc\\u30de\\u30fb\\u30ec\\u30fc\\u30f4\\u5927\\u8056\\u5802\",\"url\":\"http:\\/\\/twpf.jp\\/makt_xX\",\"description\":\"\\u58f0\\u512a\\u4e2d\\u5fc3\\u96d1\\u98df\\u3001\\u30d5\\u30a9\\u30ed\\u30d0\\u6c17\\u307e\\u3050\\u308c\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":489,\"friends_count\":454,\"listed_count\":15,\"favourites_count\":9068,\"statuses_count\":150024,\"created_at\":\"Wed Jul 13 00:46:44 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/508081451108020226\\/mq4-_ng5_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/508081451108020226\\/mq4-_ng5_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/334382063\\/1412063441\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:25:19 +0000 2014\",\"id\":517334452666523648,\"id_str\":\"517334452666523648\",\"text\":\"\\u80f8\\u306f\\u80f8\\u3060\\u3088(\\u3007\\u00af\\u0e34\\u06a4\\u00af\\u0e34)\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/#!\\/ABS104a\\\" rel=\\\"nofollow\\\"\\u003eBiyon\\u2261(\\u3000\\u03b5:)\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":367547986,\"id_str\":\"367547986\",\"name\":\"\\u3231\\u306a\\u3093\\u304b\\u9752\\u3044\\u304b\\u308f\\u3093\\u3061\\u3085@\\u30b2\\u30b3\\u30b1\\u30f3\\u30ad\",\"screen_name\":\"EndlessWaltz414\",\"location\":\"\\u30b9\\u30de\\u30d6\\u30e9\\u5bfe\\u6226\\u3057\\u3088\\u3046\\u305a\\u3002\\u5f31\\u3044\\u3051\\u3069\",\"url\":\"http:\\/\\/twpf.jp\\/EndlessWaltz414\",\"description\":\"\\u521d\\u3081\\u307e\\u3057\\u3066\\u3001\\u30dd\\u30b1\\u30e2\\u30f3(\\u306b\\u308f\\u304b\\u52e2)\\u3001\\u30ac\\u30f3\\u30c0\\u30e0\\u3001\\u6e7e\\u5cb8\\u30df\\u30c3\\u30c9\\u30ca\\u30a4\\u30c8\\r\\n\\u3001\\u982d\\u6587\\u5b57D\\u3001\\u3068\\u3042\\u308b\\u30b7\\u30ea\\u30fc\\u30ba\\u3001\\u65e5\\u5e38\\u3001\\u30e2\\u30f3\\u30b9\\u30bf\\u30fc\\u5a18\\u306e\\u3044\\u308b\\u65e5\\u5e38\\u3001\\u9032\\u6483\\u306e\\u5de8\\u4eba\\u304c\\u597d\\u304d\\u306a\\u5c02\\u9580\\u5b66\\u751f\\u306e\\u304b\\u308f\\u3093\\u3061\\u3085\\u3067\\u3059\\u3002\\u611b\\u8eca\\u306fSUZUKI\\u306ekei(\\u0e51\\u00b4\\u2200`\\u0e51)\\u30d7\\u30ed\\u30d5\\u5fc5\\u8aad\\u3002@strikeindex\\u2190\\u30b5\\u30d6\\u57a2 @EndlessWaltz700\\u2190\\u88cf\\u57a2\",\"protected\":false,\"verified\":false,\"followers_count\":1629,\"friends_count\":1628,\"listed_count\":49,\"favourites_count\":2654,\"statuses_count\":172912,\"created_at\":\"Sun Sep 04 04:27:41 +0000 2011\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FFCC4D\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/496069643778273281\\/TGxxX9ox.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/496069643778273281\\/TGxxX9ox.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/513372940276998144\\/yo0mmuii_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/513372940276998144\\/yo0mmuii_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/367547986\\/1412074421\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":2,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"EndlessWaltz414\",\"name\":\"\\u3231\\u306a\\u3093\\u304b\\u9752\\u3044\\u304b\\u308f\\u3093\\u3061\\u3085@\\u30b2\\u30b3\\u30b1\\u30f3\\u30ad\",\"id\":367547986,\"id_str\":\"367547986\",\"indices\":[3,19]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009699\"}",
			"{\"created_theat\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102139392,\"id_str\":\"517338185102139392\",\"text\":\"RT @BOHHOT: \\u0e40\\u0e27\\u0e25\\u0e32\\u0e40\\u0e2b\\u0e47\\u0e19\\u0e1d\\u0e23\\u0e31\\u0e48\\u0e07\\u0e2b\\u0e25\\u0e48\\u0e2d\\u0e46\\u0e23\\u0e39\\u0e49\\u0e2a\\u0e36\\u0e01\\u0e14\\u0e2d\\u0e01\\u0e17\\u0e2d\\u0e07\\u0e08\\u0e31\\u0e07\\u0e40\\u0e25\\u0e22\\u0e04\\u0e30 \\n55555555555555555555555555555555555555555555555555\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1655563099,\"id_str\":\"1655563099\",\"name\":\"\\u6653\\u6600\\u2661\",\"screen_name\":\"peartap\",\"location\":\"\",\"url\":null,\"description\":\"\\u2661ig:pearltap\\u2661\",\"protected\":false,\"verified\":false,\"followers_count\":125,\"friends_count\":287,\"listed_count\":1,\"favourites_count\":900,\"statuses_count\":49156,\"created_at\":\"Thu Aug 08 14:47:56 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/512193544761516032\\/ileKH5P5_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/512193544761516032\\/ileKH5P5_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1655563099\\/1394039172\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:13:53 +0000 2014\",\"id\":517331574052761600,\"id_str\":\"517331574052761600\",\"text\":\"\\u0e40\\u0e27\\u0e25\\u0e32\\u0e40\\u0e2b\\u0e47\\u0e19\\u0e1d\\u0e23\\u0e31\\u0e48\\u0e07\\u0e2b\\u0e25\\u0e48\\u0e2d\\u0e46\\u0e23\\u0e39\\u0e49\\u0e2a\\u0e36\\u0e01\\u0e14\\u0e2d\\u0e01\\u0e17\\u0e2d\\u0e07\\u0e08\\u0e31\\u0e07\\u0e40\\u0e25\\u0e22\\u0e04\\u0e30 \\n55555555555555555555555555555555555555555555555555\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android Tablets\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":274068407,\"id_str\":\"274068407\",\"name\":\"\\u0e15\\u0e38\\u0e4a\\u0e14\\u0e40\\u0e16\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e1c\\u0e39\\u0e49\\u0e19\\u0e48\\u0e32\\u0e40\\u0e14\\u0e49\\u0e32\",\"screen_name\":\"BOHHOT\",\"location\":\"\",\"url\":\"https:\\/\\/www.facebook.com\\/bohhots\",\"description\":\"\\u0e01\\u0e39\\u0e2a\\u0e27\\u0e22 \\u0e01\\u0e39\\u0e08\\u0e33\\u0e44\\u0e14\\u0e49 | \\u0e40\\u0e23\\u0e32\\u0e08\\u0e30\\u0e1e\\u0e22\\u0e32\\u0e22\\u0e32\\u0e21\\u0e17\\u0e33\\u0e17\\u0e38\\u0e01\\u0e2d\\u0e22\\u0e48\\u0e32\\u0e07\\u0e43\\u0e2b\\u0e49\\u0e14\\u0e35\\u0e17\\u0e35\\u0e48\\u0e2a\\u0e38\\u0e14 \\u0e40\\u0e1e\\u0e37\\u0e48\\u0e2d\\u0e1c\\u0e39\\u0e49\\u0e2b\\u0e0d\\u0e34\\u0e07\\u0e04\\u0e19\\u0e2b\\u0e19\\u0e36\\u0e48\\u0e07 \\u0e04\\u0e19\\u0e17\\u0e35\\u0e48\\u0e40\\u0e23\\u0e32\\u0e23\\u0e31\\u0e01\\u0e21\\u0e32\\u0e01\\u0e17\\u0e35\\u0e48\\u0e2a\\u0e38\\u0e14\",\"protected\":false,\"verified\":false,\"followers_count\":40366,\"friends_count\":506,\"listed_count\":23,\"favourites_count\":2793,\"statuses_count\":46618,\"created_at\":\"Tue Mar 29 17:28:09 +0000 2011\",\"utc_offset\":25200,\"time_zone\":\"Bangkok\",\"geo_enabled\":true,\"lang\":\"th\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme14\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"009999\",\"profile_sidebar_border_color\":\"EEEEEE\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/498334160264511489\\/d_tux9xR_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/498334160264511489\\/d_tux9xR_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/274068407\\/1411872240\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":75,\"favorite_count\":8,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"th\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"BOHHOT\",\"name\":\"\\u0e15\\u0e38\\u0e4a\\u0e14\\u0e40\\u0e16\\u0e37\\u0e48\\u0e2d\\u0e19\\u0e1c\\u0e39\\u0e49\\u0e19\\u0e48\\u0e32\\u0e40\\u0e14\\u0e49\\u0e32\",\"id\":274068407,\"id_str\":\"274068407\",\"indices\":[3,10]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"th\",\"timestamp_ms\":\"1412178009686\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185110519810,\"id_str\":\"517338185110519810\",\"text\":\"RT @CamOpSoc: Smiles all round at last night's #CaOSOklahoma! rehearsal. We'll be hitting @camartstheatre in 8 weeks time! Yee-ha! http:\\/\\/t\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":66661941,\"id_str\":\"66661941\",\"name\":\"Susan Elkin\",\"screen_name\":\"SusanElkinJourn\",\"location\":\"N 51\\u00b058' 0'' \\/ W 2\\u00b047' 0''\",\"url\":\"http:\\/\\/www.thestage.co.uk\\/columns\\/education-training\\/\",\"description\":\"Freelance journo & author of 30 books including Please Miss We're Boys. The Stage's Education Editor. Former teacher. Own views. Sort of.\",\"protected\":false,\"verified\":false,\"followers_count\":3474,\"friends_count\":93,\"listed_count\":124,\"favourites_count\":174,\"statuses_count\":40262,\"created_at\":\"Tue Aug 18 11:57:26 +0000 2009\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"A0709C\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/493442177368719362\\/MLg3hMnm.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/493442177368719362\\/MLg3hMnm.png\",\"profile_background_tile\":true,\"profile_link_color\":\"141112\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"FED2A3\",\"profile_text_color\":\"BFCBB5\",\"profile_use_background_image\":false,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/482129448796315648\\/i1o5jKpr_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/482129448796315648\\/i1o5jKpr_normal.jpeg\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:11:06 +0000 2014\",\"id\":517330873151012864,\"id_str\":\"517330873151012864\",\"text\":\"Smiles all round at last night's #CaOSOklahoma! rehearsal. We'll be hitting @camartstheatre in 8 weeks time! Yee-ha! http:\\/\\/t.co\\/MOCCMtVzAF\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":381401612,\"id_str\":\"381401612\",\"name\":\"Cambridge Operatic\",\"screen_name\":\"CamOpSoc\",\"location\":\"Cambridge, UK\",\"url\":\"http:\\/\\/www.cambridgeoperatic.org.uk\",\"description\":\"CaOS (Cambridge Operatic Society) is an amateur theatre group, professionally directed, performing at Cambridge Arts in November\",\"protected\":false,\"verified\":false,\"followers_count\":376,\"friends_count\":513,\"listed_count\":7,\"favourites_count\":48,\"statuses_count\":264,\"created_at\":\"Wed Sep 28 08:17:49 +0000 2011\",\"utc_offset\":3600,\"time_zone\":\"London\",\"geo_enabled\":true,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"520073\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514703656952684544\\/OH0fS686_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514703656952684544\\/OH0fS686_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/381401612\\/1409141817\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":2,\"favorite_count\":1,\"entities\":{\"hashtags\":[{\"text\":\"CaOSOklahoma\",\"indices\":[33,46]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"camartstheatre\",\"name\":\"Arts Theatre\",\"id\":57418165,\"id_str\":\"57418165\",\"indices\":[76,91]}],\"symbols\":[],\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[117,139],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"en\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"CaOSOklahoma\",\"indices\":[47,60]}],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"CamOpSoc\",\"name\":\"Cambridge Operatic\",\"id\":381401612,\"id_str\":\"381401612\",\"indices\":[3,12]},{\"screen_name\":\"camartstheatre\",\"name\":\"Arts Theatre\",\"id\":57418165,\"id_str\":\"57418165\",\"indices\":[90,105]}],\"symbols\":[],\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}},\"source_status_id\":517330873151012864,\"source_status_id_str\":\"517330873151012864\"}]},\"extended_entities\":{\"media\":[{\"id\":517330871490076672,\"id_str\":\"517330871490076672\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3tr8qCYAAjatB.jpg\",\"url\":\"http:\\/\\/t.co\\/MOCCMtVzAF\",\"display_url\":\"pic.twitter.com\\/MOCCMtVzAF\",\"expanded_url\":\"http:\\/\\/twitter.com\\/CamOpSoc\\/status\\/517330873151012864\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":340,\"h\":258,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":455,\"resize\":\"fit\"},\"large\":{\"w\":703,\"h\":534,\"resize\":\"fit\"}},\"source_status_id\":517330873151012864,\"source_status_id_str\":\"517330873151012864\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"en\",\"timestamp_ms\":\"1412178009688\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085358081,\"id_str\":\"517338185085358081\",\"text\":\"@cos_id 17\\uc774\\ub77c\\ub2c8...\\uc8fc\\uac70\\uc57c\\uaca5\\ub2e4\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/android\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Android\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517333743665565696,\"in_reply_to_status_id_str\":\"517333743665565696\",\"in_reply_to_user_id\":1634919624,\"in_reply_to_user_id_str\":\"1634919624\",\"in_reply_to_screen_name\":\"cos_id\",\"user\":{\"id\":1634919624,\"id_str\":\"1634919624\",\"name\":\"*\\ubd80\\ucf54\\ub0a0\\uba74\\uc811*\\uc724\\uacb0*\",\"screen_name\":\"cos_id\",\"location\":\"cos_id\",\"url\":\"http:\\/\\/m.worldcosplay.net\\/member\\/137655\",\"description\":\"\\u97d3\\u56fd\\u3067\\u30b3\\u30b9\\u30d7\\u30ec\\u3092\\u3057\\u3066\\u3044\\u308b\\u5b66\\u751f\\u3067\\u3059:D 96\\ub144\\uc0dd \\uf981 \\ub0a8\\ubd80\\uad8c \\ucf54\\uc2a4\\uc5b4 \\uac81\\ud398\\ubcf8\\uc9c4,\\uc2a4\\ud3ec\\uce20\\uc560\\ub2c8 \\ub9cc\\ud654^^\\ud314\\ub85c\\ud6c4 \\uc158\\uc548\\uc8fc\\uc2ec \\uad6c\\ub3c5\\uac04\\uc8fc!\\ud314\\ub85c\\uc789\\ub294 \\ucf54\\uc2a4\\uc5b4\\uc640 \\ub355\\uacc4\\ub9cc *^0^*\",\"protected\":false,\"verified\":false,\"followers_count\":669,\"friends_count\":659,\"listed_count\":0,\"favourites_count\":1515,\"statuses_count\":23494,\"created_at\":\"Wed Jul 31 08:23:06 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ko\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000119353942\\/3aeca685c255f686a9a89908dcea5ae5.png\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/378800000119353942\\/3aeca685c255f686a9a89908dcea5ae5.png\",\"profile_background_tile\":true,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516118173104357376\\/Rkg3Lm5x_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516118173104357376\\/Rkg3Lm5x_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1634919624\\/1389949290\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"cos_id\",\"name\":\"*\\ubd80\\ucf54\\ub0a0\\uba74\\uc811*\\uc724\\uacb0*\",\"id\":1634919624,\"id_str\":\"1634919624\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ko\",\"timestamp_ms\":\"1412178009674\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185106341888,\"id_str\":\"517338185106341888\",\"text\":\"RT @ZaxidNet: \\u041d\\u043e\\u0432\\u0438\\u0439 \\u0443\\u0440\\u044f\\u0434 \\u041f\\u043e\\u043b\\u044c\\u0449\\u0456 \\u0431\\u0443\\u0434\\u0435 \\u043f\\u0440\\u0430\\u0433\\u043c\\u0430\\u0442\\u0438\\u0447\\u043d\\u0438\\u043c \\u0449\\u043e\\u0434\\u043e \\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0438. \\u041e\\u0431\\u0456\\u0446\\u044f\\u044e\\u0442\\u044c \\u0434\\u043e\\u043f\\u043e\\u043c\\u0430\\u0433\\u0430\\u0442\\u0438 http:\\/\\/t.co\\/uXFoRzRfjx\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2300915688,\"id_str\":\"2300915688\",\"name\":\"\\u0415\\u043b\\u0435\\u043d\\u0430 \\u041c\\u044b\\u0448\\u043a\\u043e\\u0432\\u0441\\u043a\\u0430\\u044f\",\"screen_name\":\"LenaMaschenko\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":19,\"friends_count\":89,\"listed_count\":0,\"favourites_count\":180,\"statuses_count\":3111,\"created_at\":\"Mon Jan 20 06:59:35 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ru\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_1_normal.png\",\"profile_image_url_https\":\"https:\\/\\/abs.twimg.com\\/sticky\\/default_profile_images\\/default_profile_1_normal.png\",\"default_profile\":true,\"default_profile_image\":true,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:35:39 +0000 2014\",\"id\":517337050333208577,\"id_str\":\"517337050333208577\",\"text\":\"\\u041d\\u043e\\u0432\\u0438\\u0439 \\u0443\\u0440\\u044f\\u0434 \\u041f\\u043e\\u043b\\u044c\\u0449\\u0456 \\u0431\\u0443\\u0434\\u0435 \\u043f\\u0440\\u0430\\u0433\\u043c\\u0430\\u0442\\u0438\\u0447\\u043d\\u0438\\u043c \\u0449\\u043e\\u0434\\u043e \\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0438. \\u041e\\u0431\\u0456\\u0446\\u044f\\u044e\\u0442\\u044c \\u0434\\u043e\\u043f\\u043e\\u043c\\u0430\\u0433\\u0430\\u0442\\u0438 http:\\/\\/t.co\\/uXFoRzRfjx\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":60918689,\"id_str\":\"60918689\",\"name\":\"ZAXID.NET\",\"screen_name\":\"ZaxidNet\",\"location\":\"Ukraine, Lviv\",\"url\":\"http:\\/\\/www.zaxid.net\",\"description\":\"\\u043d\\u0435\\u0437\\u0430\\u043b\\u0435\\u0436\\u043d\\u0435 i\\u043d\\u0444\\u043e\\u0440\\u043c\\u0430\\u0446i\\u0439\\u043d\\u043e-\\u0430\\u043d\\u0430\\u043bi\\u0442\\u0438\\u0447\\u043d\\u0435 i\\u043d\\u0442\\u0435\\u0440\\u043d\\u0435\\u0442-\\u0432\\u0438\\u0434\\u0430\\u043d\\u043d\\u044f\",\"protected\":false,\"verified\":false,\"followers_count\":23194,\"friends_count\":684,\"listed_count\":256,\"favourites_count\":258,\"statuses_count\":36711,\"created_at\":\"Tue Jul 28 14:34:37 +0000 2009\",\"utc_offset\":10800,\"time_zone\":\"Kyiv\",\"geo_enabled\":true,\"lang\":\"uk\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EBEBEB\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/200056966\\/ZN_BG_3.jpg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/200056966\\/ZN_BG_3.jpg\",\"profile_background_tile\":true,\"profile_link_color\":\"990000\",\"profile_sidebar_border_color\":\"DFDFDF\",\"profile_sidebar_fill_color\":\"F3F3F3\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/490066087002640384\\/HIM_OZNg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/490066087002640384\\/HIM_OZNg_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/60918689\\/1405676108\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/uXFoRzRfjx\",\"expanded_url\":\"http:\\/\\/zaxid.net\\/n1324473\",\"display_url\":\"zaxid.net\\/n1324473\",\"indices\":[70,92]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"uk\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/uXFoRzRfjx\",\"expanded_url\":\"http:\\/\\/zaxid.net\\/n1324473\",\"display_url\":\"zaxid.net\\/n1324473\",\"indices\":[84,106]}],\"user_mentions\":[{\"screen_name\":\"ZaxidNet\",\"name\":\"ZAXID.NET\",\"id\":60918689,\"id_str\":\"60918689\",\"indices\":[3,12]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"uk\",\"timestamp_ms\":\"1412178009697\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185081176064,\"id_str\":\"517338185081176064\",\"text\":\"RT @bndro11: \\u0627\\u0644\\u0627\\u0646 \\u0644\\u0644\\u0631\\u0628\\u062d \\u0627\\u064a\\u0641\\u0648\\u0646 6 \\u0631\\u062a\\u0648\\u064a\\u062a \\u0644\\u062a\\u063a\\u0631\\u064a\\u062f\\u0647 \\u0648\\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0628\\u062d\\u0633\\u0627\\u0628\\u0643 \\u0627\\u0644\\u0627\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\u0639\\u0628\\u0631 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 http:\\/\\/t.co\\/Sc2kF2sUQz\\n#\\u0631\\u062a\\u0648\\u064a\\u062a #\\u0627\\u064a\\u0641\\u0648\\u06466\\nhttp:\\/\\/t.co\\/bCfn\\u2026\",\"source\":\"\\u003ca href=\\\"http:\\/\\/www.bandar-alagili1.com\\\" rel=\\\"nofollow\\\"\\u003ebandar-alagili1.com\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2528880477,\"id_str\":\"2528880477\",\"name\":\"\\u0639\\u062f\\u0646\\u0627\\u0646 \\u062f\\u0631\\u0648\\u064a\\u0634 \\u0639\\u0644\\u064a\",\"screen_name\":\"etalaqyxom\",\"location\":\"\\u0627\\u0644\\u0633\\u0639\\u0648\\u062f\\u064a\\u0629\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":58,\"friends_count\":86,\"listed_count\":0,\"favourites_count\":480,\"statuses_count\":46018,\"created_at\":\"Sun May 04 19:06:03 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"en\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/485492202924036096\\/SOWFUrvg_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/485492202924036096\\/SOWFUrvg_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:34:02 +0000 2014\",\"id\":517336643506675714,\"id_str\":\"517336643506675714\",\"text\":\"\\u0627\\u0644\\u0627\\u0646 \\u0644\\u0644\\u0631\\u0628\\u062d \\u0627\\u064a\\u0641\\u0648\\u0646 6 \\u0631\\u062a\\u0648\\u064a\\u062a \\u0644\\u062a\\u063a\\u0631\\u064a\\u062f\\u0647 \\u0648\\u0627\\u0644\\u0627\\u0634\\u062a\\u0631\\u0627\\u0643 \\u0628\\u062d\\u0633\\u0627\\u0628\\u0643 \\u0627\\u0644\\u0627\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\u0639\\u0628\\u0631 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 http:\\/\\/t.co\\/Sc2kF2sUQz\\n#\\u0631\\u062a\\u0648\\u064a\\u062a #\\u0627\\u064a\\u0641\\u0648\\u06466\\nhttp:\\/\\/t.co\\/bCfnUsObzV 196\",\"source\":\"\\u003ca href=\\\"http:\\/\\/bandar-alagili3.com\\/tw\\\" rel=\\\"nofollow\\\"\\u003ebandar alagili3 web site\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2430964359,\"id_str\":\"2430964359\",\"name\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u0648\\u0627\\u0635\\u0644 \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\",\"screen_name\":\"bndro11\",\"location\":\"\",\"url\":null,\"description\":\"\\u0627\\u0644\\u0645\\u0648\\u0642\\u0639 \\u0627\\u0644\\u0633\\u0639\\u0648\\u062f\\u064a \\u0627\\u0644\\u0627\\u0648\\u0644 \\u0644\\u0628\\u064a\\u0639 \\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u0648\\u064a\\u062a\\u0631 \\u0648\\u0627\\u0646\\u0633\\u062a\\u0642\\u0631\\u0627\\u0645 \\u0648\\u0641\\u064a\\u0633\\u0628\\u0648\\u0643 \\u0648\\u0643\\u064a\\u064a\\u0643 \\u0648\\u064a\\u0648\\u062a\\u064a\\u0648\\u0628 \\u0644\\u062a\\u0648\\u0627\\u0635\\u0644 \\u0648\\u0627\\u062a\\u0633\\u0627\\u0628 0564144033\",\"protected\":false,\"verified\":false,\"followers_count\":146474,\"friends_count\":578,\"listed_count\":9,\"favourites_count\":60,\"statuses_count\":14591,\"created_at\":\"Sun Mar 23 12:45:27 +0000 2014\",\"utc_offset\":10800,\"time_zone\":\"Baghdad\",\"geo_enabled\":false,\"lang\":\"ar\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/507471008144429057\\/8mEGLLgd_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/507471008144429057\\/8mEGLLgd_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2430964359\\/1407891140\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":529,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u0631\\u062a\\u0648\\u064a\\u062a\",\"indices\":[95,101]},{\"text\":\"\\u0627\\u064a\\u0641\\u0648\\u06466\",\"indices\":[102,109]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Sc2kF2sUQz\",\"expanded_url\":\"http:\\/\\/khaled-alagili.com\",\"display_url\":\"khaled-alagili.com\",\"indices\":[72,94]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[110,132],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"extended_entities\":{\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[110,132],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ar\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[{\"text\":\"\\u0631\\u062a\\u0648\\u064a\\u062a\",\"indices\":[108,114]},{\"text\":\"\\u0627\\u064a\\u0641\\u0648\\u06466\",\"indices\":[115,122]}],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Sc2kF2sUQz\",\"expanded_url\":\"http:\\/\\/khaled-alagili.com\",\"display_url\":\"khaled-alagili.com\",\"indices\":[85,107]}],\"user_mentions\":[{\"screen_name\":\"bndro11\",\"name\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u062a\\u0648\\u0627\\u0635\\u0644 \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a\",\"id\":2430964359,\"id_str\":\"2430964359\",\"indices\":[3,11]}],\"symbols\":[],\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"extended_entities\":{\"media\":[{\"id\":513480965797064704,\"id_str\":\"513480965797064704\",\"indices\":[139,140],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/ByBAN8VCMAAdpcy.jpg\",\"url\":\"http:\\/\\/t.co\\/bCfnUsObzV\",\"display_url\":\"pic.twitter.com\\/bCfnUsObzV\",\"expanded_url\":\"http:\\/\\/twitter.com\\/bndro11\\/status\\/513480996600045569\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"medium\":{\"w\":600,\"h\":612,\"resize\":\"fit\"},\"large\":{\"w\":1002,\"h\":1023,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":513480996600045569,\"source_status_id_str\":\"513480996600045569\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ar\",\"timestamp_ms\":\"1412178009697\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185081163776,\"id_str\":\"517338185081163776\",\"text\":\"RT @guzevonenyq: \\u3059\\u3054\\u3059\\u304e\\u2661\\n\\n\\u7c21\\u5358\\u306b\\u3067\\u304d\\u308b\\u811a\\u3084\\u305b\\u65b9\\u6cd5\\u3060\\u3063\\u3066\\u3055\\uff01\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/BlMAZe03k2\\n\\n\\u3080\\u304f\\u307f\\u3082\\u89e3\\u6d88\\u3055\\u308c\\u308b\\u3063\\u3066\\u266a\\n\\n\\u3053\\u308c\\u3067\\u30b7\\u30e7\\u30fc\\u30d1\\u30f3\\u3082\\n\\u30df\\u30cb\\u30b9\\u30ab\\u3082\\u6016\\u304f\\u306a\\u3044\\uff01 http:\\/\\/t.co\\/qpagUfqdRq\",\"source\":\"\\u003ca href=\\\"http:\\/\\/buuuucha.webcrow.jp\\/kiyaku.pdf\\\" rel=\\\"nofollow\\\"\\u003e\\u3010\\u96a0\\u308c\\u30b3\\u30de\\u30f3\\u30c9\\u3011\\u5b9f\\u306f\\u3001SUUMO\\u3082\\u96a0\\u308c\\u30b3\\u30de\\u30f3\\u30c9\\u5bfe\\u5fdc\\uff01w\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1709768858,\"id_str\":\"1709768858\",\"name\":\"BSM\",\"screen_name\":\"bskmarik1\",\"location\":\"\",\"url\":null,\"description\":\"\\u30a8\\u30ed\\u57a2\\/RT\\u57a2\\/\",\"protected\":false,\"verified\":false,\"followers_count\":22,\"friends_count\":64,\"listed_count\":0,\"favourites_count\":85,\"statuses_count\":136,\"created_at\":\"Thu Aug 29 11:20:17 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/505591357897846784\\/IBs4_aJ3_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/505591357897846784\\/IBs4_aJ3_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 12:45:16 +0000 2014\",\"id\":517294172303142912,\"id_str\":\"517294172303142912\",\"text\":\"\\u3059\\u3054\\u3059\\u304e\\u2661\\n\\n\\u7c21\\u5358\\u306b\\u3067\\u304d\\u308b\\u811a\\u3084\\u305b\\u65b9\\u6cd5\\u3060\\u3063\\u3066\\u3055\\uff01\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/BlMAZe03k2\\n\\n\\u3080\\u304f\\u307f\\u3082\\u89e3\\u6d88\\u3055\\u308c\\u308b\\u3063\\u3066\\u266a\\n\\n\\u3053\\u308c\\u3067\\u30b7\\u30e7\\u30fc\\u30d1\\u30f3\\u3082\\n\\u30df\\u30cb\\u30b9\\u30ab\\u3082\\u6016\\u304f\\u306a\\u3044\\uff01 http:\\/\\/t.co\\/qpagUfqdRq\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2468025973,\"id_str\":\"2468025973\",\"name\":\"\\u5168\\u8eab\\u7f8e\\u4eba\\u30ac\\u30fc\\u30eb\\u266a\",\"screen_name\":\"guzevonenyq\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":37,\"friends_count\":8,\"listed_count\":1,\"favourites_count\":0,\"statuses_count\":3,\"created_at\":\"Mon Apr 28 16:52:39 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Seoul\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516985305736306689\\/wAqqYIM9_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516985305736306689\\/wAqqYIM9_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1535,\"favorite_count\":4,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/BlMAZe03k2\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1p51ymq\",\"display_url\":\"bit.ly\\/1p51ymq\",\"indices\":[28,50]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[87,109],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[87,109],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/BlMAZe03k2\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1p51ymq\",\"display_url\":\"bit.ly\\/1p51ymq\",\"indices\":[45,67]}],\"user_mentions\":[{\"screen_name\":\"guzevonenyq\",\"name\":\"\\u5168\\u8eab\\u7f8e\\u4eba\\u30ac\\u30fc\\u30eb\\u266a\",\"id\":2468025973,\"id_str\":\"2468025973\",\"indices\":[3,15]}],\"symbols\":[],\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[104,126],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}},\"source_status_id\":517294172303142912,\"source_status_id_str\":\"517294172303142912\"}]},\"extended_entities\":{\"media\":[{\"id\":517294161650020352,\"id_str\":\"517294161650020352\",\"indices\":[104,126],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MTJ2IcAAx2bz.jpg\",\"url\":\"http:\\/\\/t.co\\/qpagUfqdRq\",\"display_url\":\"pic.twitter.com\\/qpagUfqdRq\",\"expanded_url\":\"http:\\/\\/twitter.com\\/guzevonenyq\\/status\\/517294172303142912\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":523,\"h\":362,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":235,\"resize\":\"fit\"},\"medium\":{\"w\":523,\"h\":362,\"resize\":\"fit\"}},\"source_status_id\":517294172303142912,\"source_status_id_str\":\"517294172303142912\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009681\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185102131200,\"id_str\":\"517338185102131200\",\"text\":\"\\u300cAnna \\/ Wanshima\\u300d Promotional Music Video: http:\\/\\/t.co\\/XbZgWgkT2T @YouTube\\u3055\\u3093\\u304b\\u3089\",\"source\":\"\\u003ca href=\\\"https:\\/\\/dev.twitter.com\\/docs\\/tfw\\\" rel=\\\"nofollow\\\"\\u003eTwitter for Websites\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":154522207,\"id_str\":\"154522207\",\"name\":\"KAN\\u3061\\u3083\\u3093'14\",\"screen_name\":\"kanchan0825\",\"location\":\"\\u5927\\u962a\\u5e9c\\u8c4a\\u4e2d\\u5e02\",\"url\":\"http:\\/\\/ameblo.jp\\/amami-kanchan\\/\",\"description\":\"\\u51fa\\u8eab\\u306f\\u5944\\u7f8e\\u5927\\u5cf6 \\/\\u30ab\\u30e9\\u30aa\\u30b1(\\u3046\\u305f\\u30b9\\u30ad)\\/\\u30ac\\u30f3\\u30d0\\u5927\\u962a \\/\\u9234\\u6728\\u798f\\/aiko\\/KAN\\/Mr.Children\\/\\u30cf\\u30ed\\u30d7\\u30ed\\/\\u597d\\u304d\\u306f\\u30d5\\u30a9\\u30ed\\u30fc\\u3057\\u3066\\u306d\\u2193\\u30a2\\u30e1\\u30d6\\u30ed\\u3082\\u3084\\u3063\\u3066\\u308b\\u306e\\u3067\\u826f\\u3051\\u308c\\u3070\\u898b\\u3066\\u306d\\u2193\",\"protected\":false,\"verified\":false,\"followers_count\":924,\"friends_count\":1994,\"listed_count\":31,\"favourites_count\":15,\"statuses_count\":8185,\"created_at\":\"Fri Jun 11 13:15:26 +0000 2010\",\"utc_offset\":32400,\"time_zone\":\"Osaka\",\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"0099B9\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/713138030\\/041a32ffa6e7a3da5ac18b30862a3694.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/713138030\\/041a32ffa6e7a3da5ac18b30862a3694.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"0099B9\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"95E8EC\",\"profile_text_color\":\"3C3940\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/1905738138\\/110724_1801_020002_normal.jpg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/1905738138\\/110724_1801_020002_normal.jpg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/154522207\\/1411918817\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/XbZgWgkT2T\",\"expanded_url\":\"http:\\/\\/youtu.be\\/JkaxM5nVUQw\",\"display_url\":\"youtu.be\\/JkaxM5nVUQw\",\"indices\":[43,65]}],\"user_mentions\":[{\"screen_name\":\"YouTube\",\"name\":\"YouTube\",\"id\":10228272,\"id_str\":\"10228272\",\"indices\":[66,74]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009667\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185093754880,\"id_str\":\"517338185093754880\",\"text\":\"RT @hegulidybado: \\u6765\\u305f\\u30b3\\u30ec\\uff01\\uff01\\n\\n\\u3042\\u306e\\u6709\\u540d\\u8aad\\u30e2\\u304c\\u3053\\u3063\\u305d\\u308a\\u884c\\u3063\\u3066\\u3044\\u308b\\n\\u811a\\u75e9\\u305b\\u65b9\\u6cd5\\u2661\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/Ci1QaLS32E\\n\\n\\u3053\\u308c\\u306a\\u3089\\u3081\\u3061\\u3083\\u7c21\\u5358\\u306b\\u7f8e\\u811a\\u3060\\u306d\\u266a http:\\/\\/t.co\\/HYSQ1Rk98R\",\"source\":\"\\u003ca href=\\\"http:\\/\\/yahoo.co.jp\\\" rel=\\\"nofollow\\\"\\u003e\\u3010AKB\\u63e1\\u624b\\u4f1a\\u4e8b\\u4ef6\\u7d9a\\u5831\\u3011\\u5ddd\\u6804\\u3001\\u672a\\u3060\\u300c\\u5168\\u6cbb\\u671f\\u9593\\u300d\\u304c\\u5831\\u9053\\u3055\\u308c\\u306a\\u3044\\u7406\\u7531\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1611859496,\"id_str\":\"1611859496\",\"name\":\"\\u5009\\u6a4b\\u76f4\\u5df1\",\"screen_name\":\"BskChin\",\"location\":\"\",\"url\":null,\"description\":\"\\u6211\\u5b6b\\u5b50\\u21e8\\u65e5\\u7fd2 2-6  10.12\",\"protected\":false,\"verified\":false,\"followers_count\":393,\"friends_count\":410,\"listed_count\":0,\"favourites_count\":139,\"statuses_count\":1239,\"created_at\":\"Mon Jul 22 02:43:12 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/516384887733899264\\/uYIYqp21_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/516384887733899264\\/uYIYqp21_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1611859496\\/1412062896\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 12:44:36 +0000 2014\",\"id\":517294006099644417,\"id_str\":\"517294006099644417\",\"text\":\"\\u6765\\u305f\\u30b3\\u30ec\\uff01\\uff01\\n\\n\\u3042\\u306e\\u6709\\u540d\\u8aad\\u30e2\\u304c\\u3053\\u3063\\u305d\\u308a\\u884c\\u3063\\u3066\\u3044\\u308b\\n\\u811a\\u75e9\\u305b\\u65b9\\u6cd5\\u2661\\n\\n\\u3053\\u308c\\u2192http:\\/\\/t.co\\/Ci1QaLS32E\\n\\n\\u3053\\u308c\\u306a\\u3089\\u3081\\u3061\\u3083\\u7c21\\u5358\\u306b\\u7f8e\\u811a\\u3060\\u306d\\u266a http:\\/\\/t.co\\/HYSQ1Rk98R\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2468416345,\"id_str\":\"2468416345\",\"name\":\"\\u304d\\u308c\\u3044\\u306a\\u811a\\u306e\\u3059\\u3059\\u3081\",\"screen_name\":\"hegulidybado\",\"location\":\"\",\"url\":null,\"description\":null,\"protected\":false,\"verified\":false,\"followers_count\":56,\"friends_count\":11,\"listed_count\":0,\"favourites_count\":0,\"statuses_count\":3,\"created_at\":\"Mon Apr 28 23:36:22 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Seoul\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517133719232970752\\/0Kf4Arh3_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517133719232970752\\/0Kf4Arh3_normal.jpeg\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":6953,\"favorite_count\":9,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Ci1QaLS32E\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1uNuCm9\",\"display_url\":\"bit.ly\\/1uNuCm9\",\"indices\":[36,58]}],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[76,98],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[76,98],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/Ci1QaLS32E\",\"expanded_url\":\"http:\\/\\/bit.ly\\/1uNuCm9\",\"display_url\":\"bit.ly\\/1uNuCm9\",\"indices\":[54,76]}],\"user_mentions\":[{\"screen_name\":\"hegulidybado\",\"name\":\"\\u304d\\u308c\\u3044\\u306a\\u811a\\u306e\\u3059\\u3059\\u3081\",\"id\":2468416345,\"id_str\":\"2468416345\",\"indices\":[3,16]}],\"symbols\":[],\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[94,116],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":517294006099644417,\"source_status_id_str\":\"517294006099644417\"}]},\"extended_entities\":{\"media\":[{\"id\":517294004304879616,\"id_str\":\"517294004304879616\",\"indices\":[94,116],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By3MJ_sIIAAOqYb.jpg\",\"url\":\"http:\\/\\/t.co\\/HYSQ1Rk98R\",\"display_url\":\"pic.twitter.com\\/HYSQ1Rk98R\",\"expanded_url\":\"http:\\/\\/twitter.com\\/hegulidybado\\/status\\/517294006099644417\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"medium\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":600,\"h\":614,\"resize\":\"fit\"},\"small\":{\"w\":340,\"h\":347,\"resize\":\"fit\"}},\"source_status_id\":517294006099644417,\"source_status_id_str\":\"517294006099644417\"}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009739\"}",
			"{\"delete\":{\"status\":{\"id\":241190964318838784,\"id_str\":\"241190964318838784\",\"user_id\":558666526,\"user_id_str\":\"558666526\"},\"timestamp_ms\":\"1412178009757\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185106325504,\"id_str\":\"517338185106325504\",\"text\":\"\\u7d42\\u308f\\u3063\\u3061\\u3083\\u3063\\u305f\\u3051\\u3069\\u2026\\u2026 http:\\/\\/t.co\\/Xky5XIgFrI\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eTwitter Web Client\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1074165098,\"id_str\":\"1074165098\",\"name\":\"\\u304b\\u3041\\u3041\\u307b\\u2721D.A\\u2702\",\"screen_name\":\"JUMPlove_ing415\",\"location\":\"\",\"url\":null,\"description\":\"Hey!Say!JUMP\\u25b7\\u6709\\u5ca1\\u5927\\u8cb4\\u25b7\\u306a\\u306b\\u308f\\u7687\\u5b50\\u25b7GENERATIONS\\u25b7\\u7247\\u5bc4\\u6dbc\\u592a\\u25b7\\u672c\\u57a2\\u261e@kaho35585638\\u261c\",\"protected\":false,\"verified\":false,\"followers_count\":525,\"friends_count\":424,\"listed_count\":2,\"favourites_count\":142,\"statuses_count\":4559,\"created_at\":\"Wed Jan 09 15:59:36 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/511896347918622720\\/fx0TwbM0.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/511896347918622720\\/fx0TwbM0.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F56A00\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"F6FFD1\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/511398107490164736\\/Em_rIfPj_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/511398107490164736\\/Em_rIfPj_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1074165098\\/1410761538\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[],\"media\":[{\"id\":517338184221339648,\"id_str\":\"517338184221339648\",\"indices\":[12,34],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"url\":\"http:\\/\\/t.co\\/Xky5XIgFrI\",\"display_url\":\"pic.twitter.com\\/Xky5XIgFrI\",\"expanded_url\":\"http:\\/\\/twitter.com\\/JUMPlove_ing415\\/status\\/517338185106325504\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"medium\":{\"w\":125,\"h\":150,\"resize\":\"fit\"}}}]},\"extended_entities\":{\"media\":[{\"id\":517338184221339648,\"id_str\":\"517338184221339648\",\"indices\":[12,34],\"media_url\":\"http:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"media_url_https\":\"https:\\/\\/pbs.twimg.com\\/media\\/By30VmtCMAAQAW0.jpg\",\"url\":\"http:\\/\\/t.co\\/Xky5XIgFrI\",\"display_url\":\"pic.twitter.com\\/Xky5XIgFrI\",\"expanded_url\":\"http:\\/\\/twitter.com\\/JUMPlove_ing415\\/status\\/517338185106325504\\/photo\\/1\",\"type\":\"photo\",\"sizes\":{\"small\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"thumb\":{\"w\":150,\"h\":150,\"resize\":\"crop\"},\"large\":{\"w\":125,\"h\":150,\"resize\":\"fit\"},\"medium\":{\"w\":125,\"h\":150,\"resize\":\"fit\"}}}]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009670\"}",
			"{\"delete\":{\"status\":{\"id\":439218841084653569,\"id_str\":\"439218841084653569\",\"user_id\":2284939447,\"user_id_str\":\"2284939447\"},\"timestamp_ms\":\"1412178009827\"}}",
			"{\"delete\":{\"status\":{\"id\":517185239785828352,\"id_str\":\"517185239785828352\",\"user_id\":2611848445,\"user_id_str\":\"2611848445\"},\"timestamp_ms\":\"1412178009933\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185085353985,\"id_str\":\"517338185085353985\",\"text\":\"RT @FotoDeTattoo: Es mi cuerpo, es mi decisi\\u00f3n http:\\/\\/t.co\\/slAD125oKf\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\\" rel=\\\"nofollow\\\"\\u003eSoloParaDeckApp\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1066142299,\"id_str\":\"1066142299\",\"name\":\"Andres Gil\",\"screen_name\":\"AndresGilmusic\",\"location\":\"Espa\\u00f1a - Galicia\",\"url\":\"https:\\/\\/www.youtube.com\\/watch?v=eZaJu6J0oNQ\",\"description\":\"Intento de Cantante\\/Compositor | Haciendo sonidos con un micro y una guitarra | Instagram: @andresgilmusic | Contacto: andresgilofficial@gmail.com\",\"protected\":false,\"verified\":false,\"followers_count\":274360,\"friends_count\":117014,\"listed_count\":115,\"favourites_count\":2797,\"statuses_count\":966,\"created_at\":\"Sun Jan 06 16:41:50 +0000 2013\",\"utc_offset\":7200,\"time_zone\":\"Amsterdam\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C6E2EE\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/436281288467566593\\/nAifq9ky.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/436281288467566593\\/nAifq9ky.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"1F98C7\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"252429\",\"profile_text_color\":\"666666\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/514833207876136961\\/mB1FLiah_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/514833207876136961\\/mB1FLiah_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1066142299\\/1399546837\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Tue Sep 09 20:21:06 +0000 2014\",\"id\":509436355093344256,\"id_str\":\"509436355093344256\",\"text\":\"Es mi cuerpo, es mi decisi\\u00f3n http:\\/\\/t.co\\/slAD125oKf\",\"source\":\"\\u003ca href=\\\"https:\\/\\/about.twitter.com\\/products\\/tweetdeck\\\" rel=\\\"nofollow\\\"\\u003eTweetDeck\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":889776104,\"id_str\":\"889776104\",\"name\":\"Mundo De Tatuajes\",\"screen_name\":\"FotoDeTattoo\",\"location\":\"Primera cuenta en espa\\u00f1ol\",\"url\":\"http:\\/\\/instagram.com\\/sergimarz\",\"description\":\"Mi cuerpo es mi diario y mis tatuajes son mi historia.\\nAqu\\u00ed encontrar\\u00e1s las mejores fotos y gifs. CONTACTO\\/PUBLICIDAD \\u2709  : publicidadtw@gmx.com\",\"protected\":false,\"verified\":false,\"followers_count\":135561,\"friends_count\":18702,\"listed_count\":105,\"favourites_count\":1661,\"statuses_count\":170,\"created_at\":\"Thu Oct 18 21:31:33 +0000 2012\",\"utc_offset\":7200,\"time_zone\":\"Madrid\",\"geo_enabled\":false,\"lang\":\"es\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"131516\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/464351065979105280\\/I-SRajgM.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/464351065979105280\\/I-SRajgM.jpeg\",\"profile_background_tile\":true,\"profile_link_color\":\"F59505\",\"profile_sidebar_border_color\":\"000000\",\"profile_sidebar_fill_color\":\"EFEFEF\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/510804948020248577\\/-Dode6Ec_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/510804948020248577\\/-Dode6Ec_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/889776104\\/1404829768\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1378,\"favorite_count\":1177,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/slAD125oKf\",\"expanded_url\":\"http:\\/\\/twitter.com\\/SonTattoos\\/status\\/509089452807815168\\/photo\\/1\",\"display_url\":\"pic.twitter.com\\/slAD125oKf\",\"indices\":[29,51]}],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"es\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[{\"url\":\"http:\\/\\/t.co\\/slAD125oKf\",\"expanded_url\":\"http:\\/\\/twitter.com\\/SonTattoos\\/status\\/509089452807815168\\/photo\\/1\",\"display_url\":\"pic.twitter.com\\/slAD125oKf\",\"indices\":[47,69]}],\"user_mentions\":[{\"screen_name\":\"FotoDeTattoo\",\"name\":\"Mundo De Tatuajes\",\"id\":889776104,\"id_str\":\"889776104\",\"indices\":[3,16]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"es\",\"timestamp_ms\":\"1412178009908\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:09 +0000 2014\",\"id\":517338185076994048,\"id_str\":\"517338185076994048\",\"text\":\"RT @_siguyuu_: \\u98ef\\u30c6\\u30ed\\u3057\\u3088\\u3046\\u304b\\u306a\",\"source\":\"\\u003ca href=\\\"http:\\/\\/theworld09.com\\/\\\" rel=\\\"nofollow\\\"\\u003eTheWorld\\u2800\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":2601420020,\"id_str\":\"2601420020\",\"name\":\"\\u308c\\u30fc\\u3061\\u3047\\u308b\",\"screen_name\":\"Re__chel\",\"location\":\"\\u308c\\u3058\\u305f\\u3093\",\"url\":null,\"description\":\"\\u75e9\\u305b\\u307e\\u3059\\u3001\\u30cf\\u30a4\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":41,\"friends_count\":31,\"listed_count\":12,\"favourites_count\":13884,\"statuses_count\":6995,\"created_at\":\"Thu Jul 03 10:18:42 +0000 2014\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517217210872233984\\/NniB1vC6_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517217210872233984\\/NniB1vC6_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2601420020\\/1412149788\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweeted_status\":{\"created_at\":\"Wed Oct 01 15:39:41 +0000 2014\",\"id\":517338066067800064,\"id_str\":\"517338066067800064\",\"text\":\"\\u98ef\\u30c6\\u30ed\\u3057\\u3088\\u3046\\u304b\\u306a\",\"source\":\"\\u003ca href=\\\"https:\\/\\/twitter.com\\/#!\\/ABS104a\\\" rel=\\\"nofollow\\\"\\u003eBiyon\\u2261(\\u3000\\u03b5:)\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1540795922,\"id_str\":\"1540795922\",\"name\":\"\\u6642\\u5915~\\u7d05~\",\"screen_name\":\"_siguyuu_\",\"location\":\"I'm \\u714c\\u3005\",\"url\":\"http:\\/\\/twpf.jp\\/_siguyuu_\",\"description\":\"\\u3053\\u306e\\u5148\\u306e\\u672a\\u6765\\u3078\\u3002\",\"protected\":false,\"verified\":false,\"followers_count\":1723,\"friends_count\":833,\"listed_count\":45,\"favourites_count\":21723,\"statuses_count\":85142,\"created_at\":\"Sun Jun 23 11:42:39 +0000 2013\",\"utc_offset\":32400,\"time_zone\":\"Irkutsk\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"EFE7F5\",\"profile_background_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_background_images\\/452972249889247232\\/6joqJucG.jpeg\",\"profile_background_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_background_images\\/452972249889247232\\/6joqJucG.jpeg\",\"profile_background_tile\":false,\"profile_link_color\":\"1C0B1C\",\"profile_sidebar_border_color\":\"FFFFFF\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/509372799362678784\\/gHfoRFqE_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/509372799362678784\\/gHfoRFqE_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1540795922\\/1409155934\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":1,\"favorite_count\":1,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"low\",\"lang\":\"ja\"},\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"_siguyuu_\",\"name\":\"\\u6642\\u5915~\\u7d05~\",\"id\":1540795922,\"id_str\":\"1540795922\",\"indices\":[3,13]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178009971\"}",
			"{\"delete\":{\"status\":{\"id\":517335483966177280,\"id_str\":\"517335483966177280\",\"user_id\":748577263,\"user_id_str\":\"748577263\"},\"timestamp_ms\":\"1412178010084\"}}",
			"{\"delete\":{\"status\":{\"id\":517335744008843265,\"id_str\":\"517335744008843265\",\"user_id\":934515757,\"user_id_str\":\"934515757\"},\"timestamp_ms\":\"1412178010120\"}}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189267091458,\"id_str\":\"517338189267091458\",\"text\":\"@prt_yi \\n\\u30d0\\u30a4\\u30c8\\u5148\\u3067\\u304a\\u53cb\\u3060\\u3061\\u306b\\u306a\\u3063\\u3066\\u304f\\u308c\\u305f\\u306e\\uff08\\uff3e\\u03bd\\uff3e\\uff09\\n\\u3075\\u305f\\u308a\\u3068\\u3082\\u304a\\u3057\\u3083\\u308c\\u3067\\u304b\\u308f\\u3046\\u3043\\u301c\\u306d\\ud83d\\udc93\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517334684334706688,\"in_reply_to_status_id_str\":\"517334684334706688\",\"in_reply_to_user_id\":1262499992,\"in_reply_to_user_id_str\":\"1262499992\",\"in_reply_to_screen_name\":\"prt_yi\",\"user\":{\"id\":2437719739,\"id_str\":\"2437719739\",\"name\":\"\\u304a\\u3072\",\"screen_name\":\"kzmdr_18\",\"location\":\"\",\"url\":null,\"description\":\"\\u305f\\u306e\\u3057\\u304f\\uff01\\u3084\\u3055\\u3057\\u304f\\uff01\\u3044\\u3063\\u3057\\u3087\\u3046\\u3051\\u3093\\u3081\\u3044\\uff01\",\"protected\":false,\"verified\":false,\"followers_count\":134,\"friends_count\":136,\"listed_count\":0,\"favourites_count\":301,\"statuses_count\":181,\"created_at\":\"Fri Apr 11 00:44:57 +0000 2014\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517088474432696320\\/lbjLGwGG_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517088474432696320\\/lbjLGwGG_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/2437719739\\/1408528383\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"prt_yi\",\"name\":\"\\u3074\\u3089\\u305f\",\"id\":1262499992,\"id_str\":\"1262499992\",\"indices\":[0,7]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010662\"}",
			"{\"created_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189267079169,\"id_str\":\"517338189267079169\",\"text\":\"@Cheese_1st \\uff81\\uff6f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":517337749821464576,\"in_reply_to_status_id_str\":\"517337749821464576\",\"in_reply_to_user_id\":631872370,\"in_reply_to_user_id_str\":\"631872370\",\"in_reply_to_screen_name\":\"Cheese_1st\",\"user\":{\"id\":869913368,\"id_str\":\"869913368\",\"name\":\"\\u7d19\",\"screen_name\":\"PAPERnoko\",\"location\":\"\\u3084\\u307e\",\"url\":\"http:\\/\\/twpf.jp\\/PAPERnoko\",\"description\":\"\\u2570( ^o^)\\u256e-=\\uff86=\\u306a\\u307d\\u3055\\u3093\",\"protected\":false,\"verified\":false,\"followers_count\":322,\"friends_count\":330,\"listed_count\":29,\"favourites_count\":2538,\"statuses_count\":29105,\"created_at\":\"Tue Oct 09 13:42:50 +0000 2012\",\"utc_offset\":32400,\"time_zone\":\"Tokyo\",\"geo_enabled\":false,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"FF6699\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme11\\/bg.gif\",\"profile_background_tile\":true,\"profile_link_color\":\"B40B43\",\"profile_sidebar_border_color\":\"CC3366\",\"profile_sidebar_fill_color\":\"E5507E\",\"profile_text_color\":\"362720\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517337050266075136\\/IszoaIFk_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517337050266075136\\/IszoaIFk_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/869913368\\/1411283629\",\"default_profile\":false,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[{\"screen_name\":\"Cheese_1st\",\"name\":\"\\uff81\\uff6f\",\"id\":631872370,\"id_str\":\"631872370\",\"indices\":[0,11]}],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010662\"}",
			"{\"createdthe_at\":\"Wed Oct 01 15:40:10 +0000 2014\",\"id\":517338189292253186,\"id_str\":\"517338189292253186\",\"text\":\"\\u3075\\u308d\\u306b\\u5165\\u3063\\u305f\\u3089\\u3001\\n\\u3042\\u308a\\u5f97\\u306a\\u3044\\u91cf\\u306e\\u6e6f\\u304c\\u5f35\\u3063\\u3066\\u3042\\u3063\\u3066\\u3001\\u3053\\u306e\\u4f53\\u8eaf\\u3067\\u306f\\u6eba\\u308c\\u305d\\u3046\\u306b\\u306a\\u3063\\u3066\\u3057\\u307e\\u3063\\u305f\\u3057\\u3001\\n\\u66f4\\u306b\\u3001\\u3053\\u306e\\u6c34\\u4f4d\\u3067\\u8a2d\\u5b9a\\u6e29\\u5ea6\\u304c44\\u2103\\u306b\\u306a\\u3063\\u3066\\u3044\\u3066\\u3001\\n\\u306a\\u3093\\u306e\\u7f70\\u30b2\\u30fc\\u30e0\\u3060\\u3088\\u3063\\u3066\\u601d\\u3044\\u307e\\u3057\\u305f\",\"source\":\"\\u003ca href=\\\"http:\\/\\/twitter.com\\/download\\/iphone\\\" rel=\\\"nofollow\\\"\\u003eTwitter for iPhone\\u003c\\/a\\u003e\",\"truncated\":false,\"in_reply_to_status_id\":null,\"in_reply_to_status_id_str\":null,\"in_reply_to_user_id\":null,\"in_reply_to_user_id_str\":null,\"in_reply_to_screen_name\":null,\"user\":{\"id\":1669968698,\"id_str\":\"1669968698\",\"name\":\"\\u308a\\u3087\\u3046\\u3044\",\"screen_name\":\"ryoe312\",\"location\":\"\\u4e2d\\u7b49\\u56fd\\u8a9e2\\u5e74\",\"url\":null,\"description\":\"\\u5fc3\\u306e\\u81d3\\u304c \\u308f\\u305a\\u304b\\u306b \\u9038\\u308b\\u30d3\\u30fc\\u30c8 \\u8e0a\\u308a\\u307e\\u3059\\u304b\",\"protected\":false,\"verified\":false,\"followers_count\":90,\"friends_count\":98,\"listed_count\":1,\"favourites_count\":314,\"statuses_count\":2481,\"created_at\":\"Wed Aug 14 08:53:22 +0000 2013\",\"utc_offset\":null,\"time_zone\":null,\"geo_enabled\":true,\"lang\":\"ja\",\"contributors_enabled\":false,\"is_translator\":false,\"profile_background_color\":\"C0DEED\",\"profile_background_image_url\":\"http:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_image_url_https\":\"https:\\/\\/abs.twimg.com\\/images\\/themes\\/theme1\\/bg.png\",\"profile_background_tile\":false,\"profile_link_color\":\"0084B4\",\"profile_sidebar_border_color\":\"C0DEED\",\"profile_sidebar_fill_color\":\"DDEEF6\",\"profile_text_color\":\"333333\",\"profile_use_background_image\":true,\"profile_image_url\":\"http:\\/\\/pbs.twimg.com\\/profile_images\\/517259619010224128\\/ETm8GXwn_normal.jpeg\",\"profile_image_url_https\":\"https:\\/\\/pbs.twimg.com\\/profile_images\\/517259619010224128\\/ETm8GXwn_normal.jpeg\",\"profile_banner_url\":\"https:\\/\\/pbs.twimg.com\\/profile_banners\\/1669968698\\/1411745390\",\"default_profile\":true,\"default_profile_image\":false,\"following\":null,\"follow_request_sent\":null,\"notifications\":null},\"geo\":null,\"coordinates\":null,\"place\":null,\"contributors\":null,\"retweet_count\":0,\"favorite_count\":0,\"entities\":{\"hashtags\":[],\"trends\":[],\"urls\":[],\"user_mentions\":[],\"symbols\":[]},\"favorited\":false,\"retweeted\":false,\"possibly_sensitive\":false,\"filter_level\":\"medium\",\"lang\":\"ja\",\"timestamp_ms\":\"1412178010671\"}",
	};

	public static final String STREAMING_COUNTS_AS_TUPLES = "(🎸,1)\n" + "(💕🙈,1)\n" + "(🐨🐨🐨🐨🐨,1)\n" + "(👀👀👀👀👀,1)\n" + "(2,1)\n"
			+ "(3000,1)\n" + "(@5sos,1)\n" + "(5sos,1)\n" + "(8,1)\n" + "(all,1)\n" + "(am,1)\n" + "(@amnediel:,1)\n" + "(and,1)\n" + "(apple,1)\n"
			+ "(ass,1)\n" + "(at,1)\n" + "(be,1)\n" + "(be,2)\n" + "(better,1)\n" + "(business,1)\n" + "(@camartstheatre,1)\n" + "(@camopsoc:,1)\n"
			+ "(#caosoklahoma!,1)\n" + "(cell,1)\n" + "(dreams,1)\n" + "(elections,,1)\n" + "(enough,1)\n" + "(#exclusively,1)\n" + "(#experts,1)\n"
			+ "(followed,1)\n" + "(for,1)\n" + "(for,2)\n" + "(from,1)\n" + "(from,2)\n" + "(go,1)\n" + "(good,1)\n" + "(had,1)\n" + "(hemmings,1)\n"
			+ "(hitting,1)\n" + "(http://t…,1)\n" + "(http://t…,2)\n" + "(http://t.co/495qvonlax,1)\n" + "(http://t.co/499tuimzvo,1)\n" + "(i,1)\n"
			+ "(i,2)\n" + "(if,1)\n" + "(if,2)\n" + "(if,3)\n" + "(ihop,1)\n" + "(in,1)\n" + "(in,2)\n" + "(@inianwarhadi:,1)\n" + "(it,1)\n"
			+ "(i've,1)\n" + "(last,1)\n" + "(last,2)\n" + "(last,3)\n" + "(love,1)\n" + "(luke,1)\n" + "(@luke5sos,1)\n" + "(@luke5sos:,1)\n"
			+ "(me,1)\n" + "(me?,1)\n" + "(mean,1)\n" + "(most,1)\n" + "(much,1)\n" + "(my,1)\n" + "(naive,1)\n" + "(new,1)\n" + "(night's,1)\n"
			+ "(nights.,1)\n" + "(of,1)\n" + "(off,1)\n" + "(oh,1)\n" + "(opposition,1)\n" + "(@outcastfrommars:,1)\n" + "(pancakes,1)\n"
			+ "(rehearsal.,1)\n" + "(round,1)\n" + "(rt,1)\n" + "(rt,2)\n" + "(rt,3)\n" + "(rt,4)\n" + "(rt,5)\n" + "(school,1)\n" + "(#shop,1)\n"
			+ "(show,1)\n" + "(#skincare,1)\n" + "(smiles,1)\n" + "(so,1)\n" + "(stem,1)\n" + "(swiss,1)\n" + "(@swissbotany101,1)\n" + "(that,1)\n"
			+ "(the,1)\n" + "(the,2)\n" + "(the,3)\n" + "(the,4)\n" + "(the,5)\n" + "(then,1)\n" + "(think,1)\n" + "(time!,1)\n" + "(tired,1)\n"
			+ "(to,1)\n" + "(to,2)\n" + "(to,3)\n" + "(today,1)\n" + "(@turkeynoham,1)\n" + "(underrated,1)\n" + "(we,1)\n" + "(weeks,1)\n"
			+ "(we'll,1)\n" + "(won,1)\n" + "(world,1)\n" + "(would,1)\n" + "(would,2)\n" + "(x1566,1)\n" + "(yee-ha!,1)\n" + "(you,1)\n"
			+ "(you.,1)\n" + "(you,2)\n" + "(you,3)\n" + "(you're,1)\n";

	private TwitterStreamData() {
	}
}
